a:42:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:6:"Chroot";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:22;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:415:"
Ce guide explique comment installer un chroot pour cuisiner des paquets dans un environnement séparé. Le chroot peut être construit sur un périphérique USB ou un disque dur pour économiser la mémoire vive durant une session live. Il y a aussi un script qui désinstalle tous les paquets installés pendant la cuisson à la sortie pour conserver un chroot léger et vérifier les dépendances de compilation.";}i:2;i:23;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:438;}i:6;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:440;}i:7;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:11:"Avec Tazdev";i:1;i:2;i:2;i:440;}i:2;i:440;}i:8;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:440;}i:9;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:463;}i:10;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:275:"Avec le temps les developeurs SliTaz ont créé des outils permettant l'automatisation de diverses tâches. Le paquet slitaz-dev-tools fournit l'utilitaire tazdev et son fichier de configuration /etc/slitaz/tazdev.conf, il permet ensuite de créer un chroot et de l'utiliser:";}i:2;i:464;}i:11;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:739;}i:12;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:75:"
# tazpkg get-install slitaz-dev-tools
# tazdev gen-chroot
# tazdev chroot
";i:1;N;i:2;N;}i:2;i:746;}i:13;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:829;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:216:"Par défaut le chroot est créé dans /home/slitaz/cooking/chroot avec une slitaz-base. Pour plus d'infos et les commandes disponibles vous pouvez utiliser 'tazdev usage' et jeter un oeil au fichier de configuration.";}i:2;i:831;}i:15;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1047;}i:16;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1049;}i:17;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:27:"Créer un chroot à la main";i:1;i:2;i:2;i:1049;}i:2;i:1049;}i:18;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1049;}i:19;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:437:"mkdir /home/chroot
# Vous pouvez monter un périphérique sur /home/chroot
# avec mountbox ou mount
tazpkg get-install busybox --root="/home/chroot"
echo "No" | tazpkg get-install bash --root="/home/chroot"
tazpkg get-install slitaz-toolchain --root="/home/chroot"
tazpkg get-install tazwok --root="/home/chroot"
tazpkg get-install tazpkg --root="/home/chroot"
tazpkg get-install lzma --root="/home/chroot"
mkdir /home/chroot/home/slitaz";i:1;N;i:2;N;}i:2;i:1094;}i:20;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1539;}i:21;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:139:"Note : Vous pouvez conserver ces lignes dans un script si nécessaire. Ajoutez #!/bin/sh en première ligne et rendez-le executable avec :
";}i:2;i:1541;}i:22;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1685;}i:23;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:20:"chmod +x script_file";i:1;N;i:2;N;}i:2;i:1685;}i:24;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1715;}i:25;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:46:"Ajouter un script pour automatiser des actions";i:1;i:2;i:2;i:1715;}i:2;i:1715;}i:26;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1715;}i:27;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:288:"cat > /home/chroot/chroot_script.sh << "EOF"
#!/bin/sh
/bin/sh --login
for pkg in $(cat /var/log/tazpkg.log | grep -v Removed | sed 's/\(.*\)\(- Installed - \)\(.*\)\( (.*\)/\3/'); do
	echo "y" | tazpkg remove $pkg
done
rm /var/log/tazpkg.log

EOF
chmod +x "/home/chroot/chroot_script.sh"";i:1;N;i:2;N;}i:2;i:1780;}i:28;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2076;}i:29;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"Note: /bin/sh ";}i:2;i:2078;}i:30;a:3:{i:0;s:6:"entity";i:1;a:1:{i:0;s:2:"--";}i:2;i:2092;}i:31;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:257:"login vous connecte au chroot. Les commandes suivantes désinstallent automatiquement les paquets ajoutés pendant la cuisson à la sortie. Vous pouvez modifier ce fichier pour exécuter différentes actions au moment de l'entrée ou de la sortie du chroot.";}i:2;i:2094;}i:32;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2351;}i:33;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2353;}i:34;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:52:"Ajouter un script pour monter ou démonter le chroot";i:1;i:2;i:2;i:2353;}i:2;i:2353;}i:35;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:2353;}i:36;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:829:"cat > /usr/bin/tazchroot << "EOF"
#!/bin/sh
cat /etc/resolv.conf > /home/chroot/etc/resolv.conf
if [ ! -d "/home/chroot/proc/1" ]; then
	echo "Monte le système de fichier virtuel..."
	mount -t proc proc /home/chroot/proc
	mount -t sysfs sysfs /home/chroot/sys
	mount -t devpts devpts /home/chroot/dev/pts
	mount -t tmpfs shm /home/chroot/dev/shm
	mount /home/slitaz /home/chroot/home/slitaz
	chroot /home/chroot ./chroot_script.sh
	until [ "$ps" = "2" ]; do
		echo "Attends la fin de tous les autres processus du chroot"
		ps=$(ps | grep `basename $0` | grep -v grep | grep -v basename | wc -l)
		sleep 1
	done
	umount /home/chroot/home/slitaz
	umount /home/chroot/dev/shm
	umount /home/chroot/dev/pts
	umount /home/chroot/sys
	umount /home/chroot/proc
else
	echo "Le chroot est déjà monté"
fi
EOF
chmod +x /usr/bin/tazchroot";i:1;N;i:2;N;}i:2;i:2424;}i:37;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3261;}i:38;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:141:"Note : Ce script monte /home/slitaz dans votre chroot, vous pouvez donc utiliser tazwok comme si vous étiez dans votre environnement normal
";}i:2;i:3263;}i:39;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3403;}i:40;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3403;}i:41;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:3403;}}