a:132:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:15:"Ambiente Chroot";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:30;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:579:"
Este documento descreve os passos necessários para criar um ambiente chroot, para mudar a raiz do sistema de forma que você possa trabalhar. Isto torna possível compilar, testar e desenvolver SliTaz sem qualquer risco para o sistema anfitrião no qual você está trabalhando. O sistema anfitrião pode ser o próprio SliTaz instalado em um disco rígido ou qualquer outro sistema GNU/Linux como Debian, Fedora, PCLinuxOS e assim por diante. Você também pode criar um ambiente chroot em modo LiveCD associado a uma mídia USB. A única condição prévia é ter uma imagem ";}i:2;i:31;}i:5;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:610;}i:6;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:124:" do SliTaz disponível e um pouco de tempo. Note que todos os comandos são executados como administrador de sistema (root).";}i:2;i:613;}i:7;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:737;}i:8;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:739;}i:9;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:21:"Preparando o ambiente";i:1;i:2;i:2;i:739;}i:2;i:739;}i:10;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:739;}i:11;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:772;}i:12;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:63:"
Para começar, nós temos que extrair os conteúdos da imagem ";}i:2;i:773;}i:13;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:836;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:141:" no diretório que servirá como nosso chroot. O diretório pode ser criado em qualquer lugar que você escolher, nós usaremos o diretório ";}i:2;i:839;}i:15;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:980;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:982;}i:17;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1005;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:". Para extrair os conteúdos de uma imagem ";}i:2;i:1007;}i:19;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:1050;}i:20;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:166:", nós temos que montá-la em loop em um diretório e então temos que copiar o sistema de arquivos raiz comprimido (rootfs.gz) no diretório chroot. Assumindo que a ";}i:2;i:1053;}i:21;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:1219;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:27:" está no diretório atual:";}i:2;i:1222;}i:23;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1249;}i:24;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:175:"# mkdir /tmp/loop
# mount -o loop slitaz-cooking.iso /tmp/loop
# mkdir -p /home/slitaz/chroot-env
# cp /tmp/loop/boot/rootfs.gz \
  /home/slitaz/chroot-env
# umount /tmp/loop
";i:1;N;i:2;N;}i:2;i:1256;}i:25;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1439;}i:26;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:125:"Agora que nós temos uma cópia do sistema de arquivos comprimido, precisamos extrai-lo e descomprimi-lo (este é um arquivo ";}i:2;i:1441;}i:27;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1566;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"cpio";}i:2;i:1568;}i:29;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1572;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" comprimido com ";}i:2;i:1574;}i:31;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1590;}i:32;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"gzip";}i:2;i:1592;}i:33;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1596;}i:34;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" ou ";}i:2;i:1598;}i:35;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1602;}i:36;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"lzma";}i:2;i:1604;}i:37;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1608;}i:38;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:87:"). Para completar esta fase, nós podemos remover o rootfs que já não é necessário:";}i:2;i:1610;}i:39;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1697;}i:40;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:117:"# cd /home/slitaz/chroot-env
# (zcat rootfs.gz 2>/dev/null || lzma d rootfs.gz -so) | cpio -id
# rm rootfs rootfs.gz
";i:1;N;i:2;N;}i:2;i:1704;}i:41;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1829;}i:42;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:26:"Se descomprimir o arquivo ";}i:2;i:1831;}i:43;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1857;}i:44;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:"rootfs";}i:2;i:1859;}i:45;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1865;}i:46;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" comprimido com ";}i:2;i:1867;}i:47;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1883;}i:48;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"lzma";}i:2;i:1885;}i:49;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1889;}i:50;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:" falhar você pode usar o método seguinte:";}i:2;i:1891;}i:51;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1934;}i:52;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:51:"# unlzma rootfs.gz -S .gz 
# cat rootfs | cpio -id
";i:1;N;i:2;N;}i:2;i:1941;}i:53;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2002;}i:54;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Usando o ambiente";i:1;i:2;i:2;i:2002;}i:2;i:2002;}i:55;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:2002;}i:56;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2031;}i:57;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:120:"
Para começar a usar o ambiente chroot, você só precisa montar alguns sistemas de arquivos virtuais e usar o comando ";}i:2;i:2032;}i:58;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2152;}i:59;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:"chroot";}i:2;i:2154;}i:60;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2160;}i:61;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:127:". Para simplificar as coisas, podemos escrever um script pequeno que automatiza o processo. Exemplo usando o diretório chroot ";}i:2;i:2162;}i:62;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2289;}i:63;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:2291;}i:64;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2314;}i:65;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:" e criando o script ";}i:2;i:2316;}i:66;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2336;}i:67;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:"chroot_in_env.sh";}i:2;i:2338;}i:68;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2354;}i:69;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" em ";}i:2;i:2356;}i:70;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2360;}i:71;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"/home/slitaz";}i:2;i:2362;}i:72;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2374;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:109:". Em qualquer sistema que não seja o SliTaz você pode descomentar as linhas que se referem aos diretórios ";}i:2;i:2376;}i:74;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2485;}i:75;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/dev";}i:2;i:2487;}i:76;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2491;}i:77;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:" e ";}i:2;i:2493;}i:78;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2496;}i:79;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/tmp";}i:2;i:2498;}i:80;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2502;}i:81;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:55:" - Note que você pode copiar e colar o texto seguinte:";}i:2;i:2504;}i:82;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2559;}i:83;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:665:"# cat > /home/slitaz/chroot_in_env.sh << "EOF"
#!/bin/sh
# Chroot in SliTaz to hack.
#
ROOTFS="/home/slitaz/chroot-env"

# Mount virtual Kernel file systems and chroot.
#
#mount --bind /dev $ROOTFS/dev
#mount --bind /tmp $ROOTFS/tmp
mount -t proc proc $ROOTFS/proc
mount -t sysfs sysfs $ROOTFS/sys
mount -t devpts devpts $ROOTFS/dev/pts
mount -t tmpfs shm $ROOTFS/dev/shm

echo "Chrooting into $ROOTFS... "
chroot $ROOTFS /bin/sh --login

# Unmount virtual Kernel file systems on exit.
#
umount $ROOTFS/dev/shm
umount $ROOTFS/dev/pts
umount $ROOTFS/sys
umount $ROOTFS/proc
#umount $ROOTFS/tmp
#umount $ROOTFS/dev

echo "Exiting $ROOTFS chroot environment... "

EOF
";i:1;N;i:2;N;}i:2;i:2566;}i:84;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3239;}i:85;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:95:"Para terminar e testar o ambiente, você só precisa tornar o script executável e executá-lo:";}i:2;i:3241;}i:86;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3336;}i:87;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:76:"# chmod +x /home/slitaz/chroot_in_env.sh
# sh /home/slitaz/chroot_in_env.sh
";i:1;N;i:2;N;}i:2;i:3343;}i:88;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3429;}i:89;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Ativar a internet";i:1;i:3;i:2;i:3429;}i:2;i:3429;}i:90;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:3429;}i:91;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3456;}i:92;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:110:"
Para ter a internet pronta para baixar e instalar alguns pacotes de desenvolvimento, apenas inicie o cliente ";}i:2;i:3457;}i:93;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"DHCP";}i:2;i:3567;}i:94;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:" na interface correta. Exemplo usando eth1:";}i:2;i:3571;}i:95;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3614;}i:96;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:16:"# udhcpc -i eth1";i:1;N;i:2;N;}i:2;i:3621;}i:97;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3647;}i:98;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:18:"Instalando pacotes";i:1;i:3;i:2;i:3647;}i:2;i:3647;}i:99;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:3647;}i:100;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3675;}i:101;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:89:"
Se a internet estiver funcionando, apenas recarregue a lista de pacotes e use o comando ";}i:2;i:3676;}i:102;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3765;}i:103;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:18:"tazpkg get-install";}i:2;i:3767;}i:104;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3785;}i:105;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:164:" para instalar. Se uma conexão não for possível, você pode baixar os pacotes de outro sistema, copiando-os para o ambiente chroot e instalando-os com o comando ";}i:2;i:3787;}i:106;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3951;}i:107;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"tazpkg install";}i:2;i:3953;}i:108;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3967;}i:109;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:56:". Para instalar as ferramentas básicas de compilação:";}i:2;i:3969;}i:110;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4025;}i:111;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:56:"# tazpkg recharge
# tazpkg get-install slitaz-toolchain
";i:1;N;i:2;N;}i:2;i:4032;}i:112;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4096;}i:113;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:191:"Estando o ambiente configurado, você pode compilar aplicações a partir do código-fonte para criar pacotes, scripts de teste etc. O Cookbook (Livro de receitas) deve ajudá-lo nesta parte:";}i:2;i:4098;}i:114;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4289;}i:115;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4291;}i:116;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:21:"Encerrando o ambiente";i:1;i:3;i:2;i:4291;}i:2;i:4291;}i:117;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:4291;}i:118;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4322;}i:119;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:48:"
Para encerrar o ambiente chroot, apenas digite ";}i:2;i:4323;}i:120;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:4371;}i:121;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"exit";}i:2;i:4373;}i:122;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:4377;}i:123;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:", o script ";}i:2;i:4379;}i:124;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:4390;}i:125;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:"chroot_in_env.sh";}i:2;i:4392;}i:126;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:4408;}i:127;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:74:" terminará, desmontando os sistemas de arquivos virtuais do Kernel Linux:";}i:2;i:4410;}i:128;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4484;}i:129;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:9:"# exit
#
";i:1;N;i:2;N;}i:2;i:4491;}i:130;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4508;}i:131;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:4508;}}