a:123:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:6:"Chroot";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:22;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:323:"
This guide explain how to setup a chroot to cook packages in a separate environment. The chroot can be built on a USB or HDD device to save RAM when using a live session. There is also a script which removes any packages installed during cooking on exit in order to keep the chroot light and also checks the build_depends.";}i:2;i:23;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:346;}i:6;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:348;}i:7;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:11:"With Tazdev";i:1;i:2;i:2;i:348;}i:2;i:348;}i:8;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:348;}i:9;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:371;}i:10;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:223:"
Over time the SliTaz developers created tools for the automation of various tasks. The slitaz-dev-tools package provides the tazdev utility and its configuration file /etc/slitaz/tazdev.conf; it can create a chroot to use:";}i:2;i:372;}i:11;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:595;}i:12;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:75:"
# tazpkg get-install slitaz-dev-tools
# tazdev gen-chroot
# tazdev chroot
";i:1;N;i:2;N;}i:2;i:602;}i:13;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:685;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:36:"By default the chroot is created in ";}i:2;i:687;}i:15;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:723;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:27:"/home/slitaz/cooking/chroot";}i:2;i:725;}i:17;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:752;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:131:" and is slitaz-based. For more info and available commands you can use 'tazdev usage' and/or take a look at the configuration file.";}i:2;i:754;}i:19;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:885;}i:20;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:887;}i:21;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Create the chroot";i:1;i:2;i:2;i:887;}i:2;i:887;}i:22;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:887;}i:23;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:433:"
#!/bin/sh
mkdir /home/chroot
# You can mount a device to /home/chroot
# with mountbox or mount
tazpkg get-install busybox --root="/home/chroot"
echo "No" | tazpkg get-install bash --root="/home/chroot"
tazpkg get-install slitaz-toolchain --root="/home/chroot"
tazpkg get-install tazwok --root="/home/chroot"
tazpkg get-install tazpkg --root="/home/chroot"
tazpkg get-install lzma --root="/home/chroot"
mkdir /home/chroot/home/slitaz";i:1;N;i:2;N;}i:2;i:922;}i:24;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1363;}i:25;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:122:"Note, you can keep these lines in a script file if needed. Just add #!/bin/sh to the first line and make executable with:
";}i:2;i:1365;}i:26;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1492;}i:27;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:22:"# chmod +x script_file";i:1;N;i:2;N;}i:2;i:1492;}i:28;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1524;}i:29;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:42:"Add a script file to automate some actions";i:1;i:2;i:2;i:1524;}i:2;i:1524;}i:30;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1524;}i:31;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:46:"# cat > /home/chroot/chroot_script.sh << "EOF"";i:1;N;i:2;N;}i:2;i:1585;}i:32;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:204:"
#!/bin/sh
/bin/sh --login
for pkg in $(cat /var/log/tazpkg.log | grep -v Removed | sed 's/\(.*\)\(- Installed - \)\(.*\)\( (.*\)/\3/'); do
	echo "y" | tazpkg remove $pkg
done
rm /var/log/tazpkg.log

EOF
";i:1;N;i:2;N;}i:2;i:1645;}i:33;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:42:"# chmod +x "/home/chroot/chroot_script.sh"";i:1;N;i:2;N;}i:2;i:1863;}i:34;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1913;}i:35;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"Note, /bin/sh ";}i:2;i:1915;}i:36;a:3:{i:0;s:6:"entity";i:1;a:1:{i:0;s:2:"--";}i:2;i:1929;}i:37;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:220:"login logs you into the chrooted environment. The commands after that auto-remove any packages added when cooking on exit. You can hack this file to execute various automated actions when entering and exiting the chroot.";}i:2;i:1931;}i:38;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2151;}i:39;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2153;}i:40;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:39:"Add a script to mount and umount chroot";i:1;i:2;i:2;i:2153;}i:2;i:2153;}i:41;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:2153;}i:42;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:35:"# cat > /usr/bin/tazchroot << "EOF"";i:1;N;i:2;N;}i:2;i:2211;}i:43;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:762:"
#!/bin/sh
cat /etc/resolv.conf > /home/chroot/etc/resolv.conf
if [ ! -d "/home/chroot/proc/1" ]; then
	echo "Mounting virtual filesystems..."
	mount -t proc proc /home/chroot/proc
	mount -t sysfs sysfs /home/chroot/sys
	mount -t devpts devpts /home/chroot/dev/pts
	mount -t tmpfs shm /home/chroot/dev/shm
	mount /home/slitaz /home/chroot/home/slitaz
	chroot /home/chroot ./chroot_script.sh
	until [ "$ps" = "2" ]; do
		echo "Waiting for the end of all other chroot processes..."
		ps=$(ps | grep `basename $0` | grep -v grep | grep -v basename | wc -l)
		sleep 1
	done
	umount /home/chroot/home/slitaz
	umount /home/chroot/dev/shm
	umount /home/chroot/dev/pts
	umount /home/chroot/sys
	umount /home/chroot/proc
else
	echo "The chroot is already mounted"
fi
EOF
";i:1;N;i:2;N;}i:2;i:2260;}i:44;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:29:"# chmod +x /usr/bin/tazchroot";i:1;N;i:2;N;}i:2;i:3036;}i:45;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3073;}i:46;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:"Note, this script mounts ";}i:2;i:3075;}i:47;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3100;}i:48;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"/home/slitaz";}i:2;i:3102;}i:49;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3114;}i:50;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:80:" in your chroot, so you can use tazwok as if it was in your normal environment.
";}i:2;i:3116;}i:51;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3196;}i:52;a:3:{i:0;s:2:"hr";i:1;a:0:{}i:2;i:3196;}i:53;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3196;}i:54;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:3202;}i:55;a:3:{i:0;s:9:"linebreak";i:1;a:0:{}i:2;i:3203;}i:56;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3205;}i:57;a:3:{i:0;s:10:"table_open";i:1;a:3:{i:0;i:2;i:1;i:8;i:2;i:3206;}i:2;i:3205;}i:58;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3205;}i:59;a:3:{i:0;s:16:"tableheader_open";i:1;a:3:{i:0;i:2;i:1;s:6:"center";i:2;i:1;}i:2;i:3205;}i:60;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"  Page Review Section  ";}i:2;i:3207;}i:61;a:3:{i:0;s:17:"tableheader_close";i:1;a:0:{}i:2;i:3230;}i:62;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3233;}i:63;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3233;}i:64;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3233;}i:65;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"Quality";}i:2;i:3235;}i:66;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3242;}i:67;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;s:4:"left";i:2;i:1;}i:2;i:3242;}i:68;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" Good  ";}i:2;i:3243;}i:69;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3250;}i:70;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3251;}i:71;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3251;}i:72;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3251;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:"Review";}i:2;i:3253;}i:74;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3259;}i:75;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;s:4:"left";i:2;i:1;}i:2;i:3259;}i:76;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Minor Updates  ";}i:2;i:3260;}i:77;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3276;}i:78;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3277;}i:79;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3277;}i:80;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3277;}i:81;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"Priority";}i:2;i:3279;}i:82;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3287;}i:83;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3287;}i:84;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:" Medium ";}i:2;i:3288;}i:85;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3296;}i:86;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3297;}i:87;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3297;}i:88;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:2;}i:2;i:3297;}i:89;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"Problems";}i:2;i:3299;}i:90;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3307;}i:91;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3307;}i:92;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" add a ";}i:2;i:3308;}i:93;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:23:"http://forum.slitaz.org";i:1;s:15:"forum post link";}i:2;i:3315;}i:94;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3358;}i:95;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3359;}i:96;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3359;}i:97;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3369;}i:98;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:" OR add a ";}i:2;i:3370;}i:99;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:29:"http://labs.slitaz.org/issues";i:1;s:23:"lab issue tracker link ";}i:2;i:3380;}i:100;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3438;}i:101;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3439;}i:102;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3439;}i:103;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:2;}i:2;i:3439;}i:104;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"How to Improve";}i:2;i:3441;}i:105;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3455;}i:106;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:3455;}i:107;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Suggest briefly";}i:2;i:3456;}i:108;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3472;}i:109;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3473;}i:110;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:3473;}i:111;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;s:4:"left";i:2;i:1;}i:2;i:3479;}i:112;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"  ";}i:2;i:3480;}i:113;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:3482;}i:114;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:3483;}i:115;a:3:{i:0;s:11:"table_close";i:1;a:1:{i:0;i:3483;}i:2;i:3483;}i:116;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3483;}i:117;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:3484;}i:118;a:3:{i:0;s:9:"linebreak";i:1;a:0:{}i:2;i:3485;}i:119;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3487;}i:120;a:3:{i:0;s:2:"hr";i:1;a:0:{}i:2;i:3487;}i:121;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3492;}i:122;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:3492;}}