a:140:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:27:"Advanced usage of Mercurial";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:44;}i:4;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:29:"Use an external tool to merge";i:1;i:3;i:2;i:44;}i:2;i:44;}i:5;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:44;}i:6;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:83;}i:7;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:368:"
If you want to use tools presented on this page, MQ particularly has a tool to manage merges (when several commits overwrite each other and you have to edit the result manually) which will probably be useful to you. SliTaz proposes Meld, a light software that can do that well. After installation, tell  Mercurial to use it if necessary by putting it in your ~/.hgrc:";}i:2;i:84;}i:8;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:452;}i:9;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:19:"
[ui]
merge = meld
";i:1;N;i:2;N;}i:2;i:459;}i:10;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:488;}i:11;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Useful extensions";i:1;i:3;i:2;i:488;}i:2;i:488;}i:12;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:488;}i:13;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:515;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:52:"
To add an extension, you can use the ~/.hgrc file:
";}i:2;i:516;}i:15;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:573;}i:16;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:28:"
[extensions]
name = adress
";i:1;N;i:2;N;}i:2;i:573;}i:17;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:573;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:129:"
Some extensions are packed within Mercurial, so it's not necessary to give them addressess. It's the case of the four following:";}i:2;i:609;}i:19;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:738;}i:20;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:738;}i:21;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:740;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:5:"color";}i:2;i:742;}i:23;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:747;}i:24;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:95:"
Add color in Mercurial. Useful when displaying differences between several versions of a file.";}i:2;i:749;}i:25;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:844;}i:26;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:844;}i:27;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:846;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"hgext.fetch";}i:2;i:848;}i:29;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:859;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:75:"
Add the command hg fetch, which regroups hg pull && hg merge && hg update.";}i:2;i:861;}i:31;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:936;}i:32;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:936;}i:33;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:938;}i:34;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"hgext.graphlog";}i:2;i:940;}i:35;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:954;}i:36;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:221:"
Add the command glog, which displays the revision tree along with the log. It's advised to limit the length of the log with option -l (i.e.: -l 10). Option -p displays the detail of differences introduced at each commit.";}i:2;i:956;}i:37;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1177;}i:38;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1177;}i:39;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:1179;}i:40;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"mq";}i:2;i:1181;}i:41;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:1183;}i:42;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:262:"
This tool is explained in detail below. It allows you to manage a patch-list for a Mercurial repository: apply them, unapply, update, etc. This extension adds several commands which generally start with 'q'. Some webpages detail this tool, search: mercurial mq.";}i:2;i:1185;}i:43;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1447;}i:44;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1450;}i:45;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:25:"Basic functionality of MQ";i:1;i:3;i:2;i:1450;}i:2;i:1450;}i:46;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:1450;}i:47;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1485;}i:48;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:206:"In a mercurial repository, create a patch repository with a controlled revision; it's a repository of patches into which the changes can be committed using Mercurial, like a repository within a repository:
";}i:2;i:1486;}i:49;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1697;}i:50;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:11:"hg qinit -c";i:1;N;i:2;N;}i:2;i:1697;}i:51;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1716;}i:52;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:177:"Après avoir procédé à des modifications, les enregistrer en temps que patch plutôt que les commiter :
After modifications, save them as a patch instead of committing them:
";}i:2;i:1718;}i:53;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1900;}i:54;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:20:"hg qnew nom_du_patch";i:1;N;i:2;N;}i:2;i:1900;}i:55;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1928;}i:56;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:32:"List applied/unapplied patches:
";}i:2;i:1930;}i:57;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1967;}i:58;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:13:"hg qseries -v";i:1;N;i:2;N;}i:2;i:1967;}i:59;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1988;}i:60;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:57:"Add changes to the current patch (the last one applied):
";}i:2;i:1990;}i:61;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2052;}i:62;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:11:"hg qrefresh";i:1;N;i:2;N;}i:2;i:2052;}i:63;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2071;}i:64;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:37:"Apply the next patch from the queue:
";}i:2;i:2073;}i:65;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2115;}i:66;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:8:"hg qpush";i:1;N;i:2;N;}i:2;i:2115;}i:67;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2131;}i:68;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:19:"Apply all patches:
";}i:2;i:2133;}i:69;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2157;}i:70;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:11:"hg qpush -a";i:1;N;i:2;N;}i:2;i:2157;}i:71;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2176;}i:72;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"Unapply current patch:
";}i:2;i:2178;}i:73;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2206;}i:74;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:7:"hg qpop";i:1;N;i:2;N;}i:2;i:2206;}i:75;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2221;}i:76;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:21:"Unapply all patches:
";}i:2;i:2223;}i:77;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2249;}i:78;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:10:"hg qpop -a";i:1;N;i:2;N;}i:2;i:2249;}i:79;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2267;}i:80;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:34:"Go to a given patch in the queue:
";}i:2;i:2269;}i:81;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2308;}i:82;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:14:"hg qgoto patch";i:1;N;i:2;N;}i:2;i:2308;}i:83;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2330;}i:84;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:59:"Add a message to the current patch (before committing it):
";}i:2;i:2332;}i:85;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2396;}i:86;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:24:"hg qrefresh -m "Message"";i:1;N;i:2;N;}i:2;i:2396;}i:87;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2428;}i:88;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:33:"Transform a patch into a commit:
";}i:2;i:2430;}i:89;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2468;}i:90;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:16:"hg qfinish patch";i:1;N;i:2;N;}i:2;i:2468;}i:91;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2492;}i:92;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:45:"Commit changes made in the patch repository:
";}i:2;i:2494;}i:93;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2544;}i:94;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:33:"hg qcommit -m "Message de commit"";i:1;N;i:2;N;}i:2;i:2544;}i:95;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2585;}i:96;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:224:"Note: Patches are saved into .hg/patches. The file .hg/patches/series can be manually edited to change the application order of the patches; but take care if several patches have the same target file: it can create problems.";}i:2;i:2587;}i:97;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2811;}i:98;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2813;}i:99;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:10:"MQ & Merge";i:1;i:3;i:2;i:2813;}i:2;i:2813;}i:100;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:2813;}i:101;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2833;}i:102;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:2834;}i:103;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2835;}i:104;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"General idea";}i:2;i:2837;}i:105;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2849;}i:106;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2851;}i:107;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2851;}i:108;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:273:"Patches can be updated using the merge tool of Mercurial: it's easier than editing them manually. To do this, it's necessary to have two heads in the repository. One being the repository with patches applied ontop; the other the repository with the new commits/updates/etc:";}i:2;i:2853;}i:109;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3126;}i:110;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:91:"
o New repository revision
|
|
| o Patches
| |
| /
|
o Repository before patch application
";i:1;N;i:2;N;}i:2;i:3133;}i:111;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3232;}i:112;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:235:"The patches branch will next be merged into the new branch and MQ will use the merge function from Mercurial to update the patches. Please note that using an external merge tool (such as meld proposed previously) is highly recommended.";}i:2;i:3234;}i:113;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3469;}i:114;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3469;}i:115;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:"Create the head patches:
";}i:2;i:3471;}i:116;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3501;}i:117;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:226:"
qpush -a
hg tags  # Remember/Note the number of the revision qparent
qsave -e -c # Save the status of the patches, this save will be used during the merge. (Remember/Note the number at the end of patches.N; it's generally 1)
";i:1;N;i:2;N;}i:2;i:3501;}i:118;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3735;}i:119;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:21:"Create the new head:
";}i:2;i:3737;}i:120;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3763;}i:121;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:265:"
hg update -C <N°qparent> # Go to the revision noted before.

# Next, do what you planned to:
# Update:
hg pull -u
# Commit new changes, make the modifications then:
hg commit -m "message"
# Edit a patch:
hg qgoto patch # Then do the modifications and:
hg qrefresh";i:1;N;i:2;N;}i:2;i:3763;}i:122;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4036;}i:123;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:21:"To launch the merge:
";}i:2;i:4038;}i:124;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4064;}i:125;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:14:"hg qpush -a -m";i:1;N;i:2;N;}i:2;i:4064;}i:126;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4086;}i:127;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:22:"Clean the repository:
";}i:2;i:4088;}i:128;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4115;}i:129;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:56:"
hg qpop -a
hg qpop -a -n patches.N
rm -r .hg/patches.N
";i:1;N;i:2;N;}i:2;i:4115;}i:130;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4179;}i:131;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:49:"Save the changes made into the patch repository:
";}i:2;i:4181;}i:132;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4235;}i:133;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:39:"hg qcommit -m "Updated to match rev???"";i:1;N;i:2;N;}i:2;i:4235;}i:134;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4282;}i:135;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:26:"Re-apply the patch queue:
";}i:2;i:4284;}i:136;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4315;}i:137;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:11:"hg qpush -a";i:1;N;i:2;N;}i:2;i:4315;}i:138;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4334;}i:139;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:4334;}}