a:274:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:34:"Ncurses libraries and applications";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:49;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:70:"
Installation and configuration of ncurses libraries and applications.";}i:2;i:50;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:120;}i:6;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:122;}i:7;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:5:"About";i:1;i:2;i:2;i:122;}i:2;i:122;}i:8;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:122;}i:9;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:139;}i:10;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:444:"
This chapter describes the construction and installation of some ncurses applications and libraries in SliTaz. The procedure consists of moving into the /src directory, downloading the sources for the application in question, unpacking, reading the README or INSTALL file(s), compiling and installing the binary in SliTaz. Once the applications are installed, we can create a new initramfs, copy it to the root of the cdrom and generate a new ";}i:2;i:140;}i:11;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:584;}i:12;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:34:" image. For this you can also use ";}i:2;i:587;}i:13;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:621;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"mktaziso";}i:2;i:622;}i:15;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:630;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" in ";}i:2;i:631;}i:17;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:45:"http://doc.slitaz.org/en:cookbook:slitaztools";i:1;s:12:"SliTaz tools";}i:2;i:635;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:".";}i:2;i:697;}i:19;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:698;}i:20;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:700;}i:21;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:36:"Assign an environment variable ($fs)";i:1;i:3;i:2;i:700;}i:2;i:700;}i:22;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:700;}i:23;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:746;}i:24;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:255:"
An environmental variable can't specify the path to the directory, just the name of the directory. We will affect a variable '$fs' to indicate the path to the root filesystem (rootfs). To do this, we venture into the working directory SliTaz/, and type:
";}i:2;i:747;}i:25;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1002;}i:26;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:24:" # export fs=$PWD/rootfs";}i:2;i:1002;}i:27;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1002;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"
To check:
";}i:2;i:1030;}i:29;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1041;}i:30;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:11:" # echo $fs";}i:2;i:1041;}i:31;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1057;}i:32;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:46:"ncurses-5.6 - Terminal utilities and libraries";i:1;i:2;i:2;i:1057;}i:2;i:1057;}i:33;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1057;}i:34;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1115;}i:35;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:"
ncurses (";}i:2;i:1116;}i:36;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:30:"http://dickey.his.com/ncurses/";i:1;s:23:"dickey.his.com/ncurses/";}i:2;i:1126;}i:37;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:301:") contains functions to display text in different ways on the screen of a Linux terminal and also provides the terminfo file. Ncurses libraries are used among others by retawq, nano and some games. We install the libraries in /lib and the rest in /usr/bin with a small strip to clean the executables:
";}i:2;i:1184;}i:38;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1485;}i:39;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:381:" # cd src
 # wget ftp://invisible-island.net/ncurses/ncurses-5.6.tar.gz
 # tar xzf ncurses-5.6.tar.gz
 # cd ncurses-5.6
 # ./configure --prefix=/usr \
   --libdir=/lib --sysconfdir=/etc \
   --infodir=/usr/share/info --mandir=/usr/share/man \
   --with-shared --without-debug --without-ada
 # make
 # make DESTDIR=$PWD/_pkg install
 # strip -v _pkg/lib/*
 # strip -v _pkg/usr/bin/*";}i:2;i:1485;}i:40;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1485;}i:41;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:281:"
Copy the libncurses library and some applications in SliTaz. The reset utility is used at the end of the rcS initialization script to remove the Linux logo. If you wish, you can copy the associated utilities (tic, tack, toe, etc), being careful not to delete the link to BusyBox:
";}i:2;i:1892;}i:42;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2173;}i:43;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:115:" # cp -a _pkg/lib/libncurses.so* $fs/lib
 # cp -ia _pkg/usr/bin/{clear,ncurses5-config,tset,reset} \
   $fs/usr/bin";}i:2;i:2173;}i:44;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2173;}i:45;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:79:"
Copy terminfo files, we only use a few files. If you want more, you can copy:
";}i:2;i:2296;}i:46;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2375;}i:47;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:464:" # mkdir -v $fs/usr/share/terminfo
 # mkdir -v $fs/usr/share/terminfo/{a,l,r,v,x}
 # cp _pkg/usr/share/terminfo/a/ansi \
   $fs/usr/share/terminfo/a
 # cp _pkg/usr/share/terminfo/l/linux \
   $fs/usr/share/terminfo/l
 # cp _pkg/usr/share/terminfo/r/rxvt \
   $fs/usr/share/terminfo/r
 # cp _pkg/usr/share/terminfo/x/{xterm,xterm-color,xterm-new,xterm-vt220} \
   $fs/usr/share/terminfo/x
 # cp _pkg/usr/share/terminfo/v/{vt100,vt102*} \
   $fs/usr/share/terminfo/v";}i:2;i:2375;}i:48;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2375;}i:49;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:24:"
Copy the tabset files:
";}i:2;i:2865;}i:50;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2889;}i:51;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:44:" # cp -a _pkg/usr/share/tabset $fs/usr/share";}i:2;i:2889;}i:52;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2938;}i:53;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:24:"clex-3.16 - File Manager";i:1;i:2;i:2;i:2938;}i:2;i:2938;}i:54;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:2938;}i:55;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2974;}i:56;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"
CLEX (";}i:2;i:2975;}i:57;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:19:"http://www.clex.sk/";i:1;N;}i:2;i:2982;}i:58;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:118:") is a small ncurses file manager (160 KB). The configuration file (rc) is ~/clexrc; ~/.clexbm is used for bookmarks:
";}i:2;i:3001;}i:59;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3119;}i:60;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:261:" # cd ..
 # wget http://www.clex.sk/download/clex-3.16.tar.gz
 # tar xzf clex-3.16.tar.gz
 # cd clex-3.16
 # ./configure --prefix=/usr --infodir=/usr/share/info \
   --mandir=/usr/share/man
 # make
 # make DESTDIR=$PWD/_pkg install
 # strip -v _pkg/usr/bin/clex";}i:2;i:3119;}i:61;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3119;}i:62;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:50:"
Install the clex binary in the rootfs of SliTaz:
";}i:2;i:3400;}i:63;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3450;}i:64;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:35:" # cp _pkg/usr/bin/clex $fs/usr/bin";}i:2;i:3450;}i:65;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3490;}i:66;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:3490;}i:2;i:3490;}i:67;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:3490;}i:68;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3504;}i:69;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:19:"
If we execute the ";}i:2;i:3505;}i:70;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:3524;}i:71;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:"ldd";}i:2;i:3525;}i:72;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:3528;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:66:" command on clex, the following dependancies should be displayed:
";}i:2;i:3529;}i:74;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3600;}i:75;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:179:"
          libncurses.so.5 => /lib/libncurses.so.5 (0x40025000)
          libc.so.6 => /lib/libc.so.6 (0x40064000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
";i:1;N;i:2;N;}i:2;i:3600;}i:76;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3788;}i:77;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:33:"nano-2.0.6 - Advanced Text Editor";i:1;i:2;i:2;i:3788;}i:2;i:3788;}i:78;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:3788;}i:79;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3833;}i:80;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"
GNU nano (";}i:2;i:3834;}i:81;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:27:"http://www.nano-editor.org/";i:1;s:19:"www.nano-editor.org";}i:2;i:3845;}i:82;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:130:") is a well known, fast, effective GNU/Linux text editor that supports colored syntax. This is the default text editor in SliTaz:
";}i:2;i:3896;}i:83;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4026;}i:84;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:324:" # cd ..
 # wget http://www.nano-editor.org/dist/v2.0/nano-2.0.6.tar.gz
 # tar xzf nano-2.0.6.tar.gz
 # cd nano-2.0.6
 # ./configure --enable-all --enable-extra --prefix=/usr \
   --infodir=/usr/share/info --mandir=/usr/share/man \
   --sysconfdir=/etc
 # make
 # make DESTDIR=$PWD/_pkg install
 # strip -v _pkg/usr/bin/nano";}i:2;i:4026;}i:85;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4026;}i:86;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:52:"
Copy the nano binary and the rnano link in SliTaz:
";}i:2;i:4372;}i:87;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4424;}i:88;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:35:" # cp -a _pkg/usr/bin/* $fs/usr/bin";}i:2;i:4424;}i:89;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4424;}i:90;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:68:"
Copy the configuration files in _pkg/usr/share/nano to our rootfs:
";}i:2;i:4463;}i:91;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4531;}i:92;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:42:" # cp -a _pkg/usr/share/nano $fs/usr/share";}i:2;i:4531;}i:93;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4578;}i:94;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:4578;}i:2;i:4578;}i:95;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:4578;}i:96;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4592;}i:97;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:19:"
If we execute the ";}i:2;i:4593;}i:98;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:4612;}i:99;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:"ldd";}i:2;i:4613;}i:100;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:4616;}i:101;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:66:" command on nano, the following dependancies should be displayed:
";}i:2;i:4617;}i:102;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4688;}i:103;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:179:"
          libncurses.so.5 => /lib/libncurses.so.5 (0x40025000)
          libc.so.6 => /lib/libc.so.6 (0x40064000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
";i:1;N;i:2;N;}i:2;i:4688;}i:104;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4876;}i:105;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:6:"locale";i:1;i:3;i:2;i:4876;}i:2;i:4876;}i:106;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:4876;}i:107;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4892;}i:108;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:178:"
About the language, you can copy the .mo files created when installing nano from /usr/share/locale/(fr,en,de,es,etc)/LC_MESSAGES to the rootfs. Example for the French language:
";}i:2;i:4893;}i:109;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5071;}i:110;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:69:" # cp -a _pkg/usr/share/locale/fr/LC_MESSAGES $fs/usr/share/locale/fr";}i:2;i:5071;}i:111;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:5145;}i:112;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:14:"Customize nano";i:1;i:3;i:2;i:5145;}i:2;i:5145;}i:113;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:5145;}i:114;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5169;}i:115;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:252:"
You can customize nano via /etc/nanorc or ~/.nanorc for each user of the system. It's in this file that you can define the colors used by nano through the files in /usr/share/nano. You will find a broad example of this file in the archive of nano and ";}i:2;i:5170;}i:116;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:45:"http://doc.slitaz.org/en:cookbook:slitaztools";i:1;s:12:"SliTaz tools";}i:2;i:5422;}i:117;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:".";}i:2;i:5484;}i:118;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5485;}i:119;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5485;}i:120;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:94:"For a system configuration file, you can copy the file in SliTaz tools to /etc in the rootfs:
";}i:2;i:5487;}i:121;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5581;}i:122;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:53:" # cd ..
 # cp -a slitaz-tools-1.1/etc/nanorc $fs/etc";}i:2;i:5581;}i:123;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:5641;}i:124;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:37:"retawq-0.2.6c - Text mode Web browser";i:1;i:2;i:2;i:5641;}i:2;i:5641;}i:125;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:5641;}i:126;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5690;}i:127;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"
retawq (";}i:2;i:5691;}i:128;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:30:"http://retawq.sourceforge.net/";i:1;s:22:"retawq.sourceforge.net";}i:2;i:5700;}i:129;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:153:") is a small text-only web browser. We only flag a few useful options when configuring, retawq needs terminfo files, libncurses libraries and libthread:
";}i:2;i:5757;}i:130;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5910;}i:131;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:290:" # wget http://switch.dl.sourceforge.net/sourceforge/retawq/retawq-0.2.6c.tar.gz
 # tar xzf retawq-0.2.6c.tar.gz
 # cd retawq-0.2.6c
 # ./configure --enable-i18n --enable-local-cgi --path-prefix=/usr \
   --path-doc=/usr/share/doc/retawq --path-man=/usr/share/man
 # make
 # strip -v retawq";}i:2;i:5910;}i:132;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5910;}i:133;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:35:"
Copy the retawq binary in SliTaz:
";}i:2;i:6216;}i:134;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6251;}i:135;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:24:" # cp retawq $fs/usr/bin";}i:2;i:6251;}i:136;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:6280;}i:137;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:6280;}i:2;i:6280;}i:138;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:6280;}i:139;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:242:"
          libncurses.so.5 => /lib/libncurses.so.5 (0x40025000)
          libpthread.so.0 => /lib/libpthread.so.0 (0x40064000)
          libc.so.6 => /lib/libc.so.6 (0x40074000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
";i:1;N;i:2;N;}i:2;i:6300;}i:140;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6300;}i:141;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:120:"
You can copy the lipthread library from your host system or use the minimum package glibc-2.3.6 distributed by SliTaz:
";}i:2;i:6550;}i:142;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6670;}i:143;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:69:" # cp -a /lib/libpthread* $fs/lib
 # strip --strip-unneeded $fs/lib/*";}i:2;i:6670;}i:144;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:6746;}i:145;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:6:"locale";i:1;i:3;i:2;i:6746;}i:2;i:6746;}i:146;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:6746;}i:147;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6762;}i:148;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:187:"
For language, you can copy the .mo files in /i18n of the retawq archive to /usr/share/locale/(fr,en,es,etc)/LC_MESSAGES. Example for the French language, renaming the file to retawq.mo:
";}i:2;i:6763;}i:149;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6950;}i:150;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:65:" # cp -v i18n/fr.mo $fs/usr/share/locale/fr/LC_MESSAGES/retawq.mo";}i:2;i:6950;}i:151;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7020;}i:152;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:16:"Customize retawq";i:1;i:3;i:2;i:7020;}i:2;i:7020;}i:153;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:7020;}i:154;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7046;}i:155;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:369:"
To personalize retawq, you can use a ~/.retawq directory containing a config file. You can also save bookmarks (html) in the root directory of the user. You will find an examples/ in the archive of retawq (or SliTaz tools) containing a bookmarks.html page with a list of favorite web sites. You can also copy the docs (/documents) from retawq to /usr/share/doc/retawq.";}i:2;i:7047;}i:156;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7416;}i:157;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7418;}i:158;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:34:"htop-6.0.5 - System process viewer";i:1;i:2;i:2;i:7418;}i:2;i:7418;}i:159;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:7418;}i:160;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7464;}i:161;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"
htop (";}i:2;i:7465;}i:162;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:28:"http://htop.sourceforge.net/";i:1;s:21:"htop.sourceforge.net/";}i:2;i:7472;}i:163;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:59:") is software that displays system processes using ncurses.";}i:2;i:7526;}i:164;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7585;}i:165;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7585;}i:166;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:94:"Returning to the /src directory, download, unpack, configure, compile and clean (with strip):
";}i:2;i:7587;}i:167;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7681;}i:168;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:255:" # cd ..
 # wget http://switch.dl.sourceforge.net/sourceforge/htop/htop-0.6.5.tar.gz
 # tar xzf htop-0.6.5.tar.gz
 # cd htop-0.6.5
 # ./configure --prefix=/usr --mandir=/usr/share/man
 # make
 # make DESTDIR=$PWD/_pkg install
 # strip -v _pkg/usr/bin/htop";}i:2;i:7681;}i:169;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7681;}i:170;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:33:"
Copy the htop binary in SliTaz:
";}i:2;i:7954;}i:171;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7987;}i:172;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:35:" # cp _pkg/usr/bin/htop $fs/usr/bin";}i:2;i:7987;}i:173;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7987;}i:174;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:67:"
You can still copy the htop icon found in: _pkg/usr/share/pixmaps.";}i:2;i:8026;}i:175;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8093;}i:176;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8095;}i:177;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:8095;}i:2;i:8095;}i:178;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:8095;}i:179;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:230:"
          libm.so.6 => /lib/libm.so.6 (0xb7f97000)
          libncurses.so.5 => /lib/libncurses.so.5 (0xb7f55000)
          libc.so.6 => /lib/libc.so.6 (0xb7e20000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0xb7fc9000)
";i:1;N;i:2;N;}i:2;i:8115;}i:180;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8354;}i:181;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:39:"dialog-1.1.20070409 - GUI shell scripts";i:1;i:2;i:2;i:8354;}i:2;i:8354;}i:182;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:8354;}i:183;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8405;}i:184;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"
dialog (";}i:2;i:8406;}i:185;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:46:"http://invisible-island.net/dialog/dialog.html";i:1;s:39:"invisible-island.net/dialog/dialog.html";}i:2;i:8415;}i:186;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:"), is a utility to build ";}i:2;i:8505;}i:187;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"GUI";}i:2;i:8530;}i:188;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:17:"-based consoles:
";}i:2;i:8533;}i:189;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8550;}i:190;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:293:" # cd ..
 # wget ftp://invisible-island.net/dialog/dialog.tar.gz
 # tar xzf dialog.tar.gz
 # cd dialog-1.1-20070409
 # ./configure --enable-nls --with-ncurses --prefix=/usr \
   --sysconfdir=/etc --mandir=/usr/share/man
 # make
 # make DESTDIR=$PWD/_pkg install
 # strip -v _pkg/usr/bin/dialog";}i:2;i:8550;}i:191;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8550;}i:192;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:31:"
Copy dialog binary in SliTaz:
";}i:2;i:8863;}i:193;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8894;}i:194;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:37:" # cp _pkg/usr/bin/dialog $fs/usr/bin";}i:2;i:8894;}i:195;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8936;}i:196;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:8936;}i:2;i:8936;}i:197;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:8936;}i:198;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:230:"
          libncurses.so.5 => /lib/libncurses.so.5 (0x40027000)
          libm.so.6 => /lib/libm.so.6 (0x40066000)
          libc.so.6 => /lib/libc.so.6 (0x40089000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
";i:1;N;i:2;N;}i:2;i:8956;}i:199;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:9195;}i:200;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:6:"locale";i:1;i:3;i:2;i:9195;}i:2;i:9195;}i:201;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:9195;}i:202;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9211;}i:203;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:"
You can install locale files if you wish:
";}i:2;i:9212;}i:204;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9255;}i:205;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:54:" # cp -a _pkg/usr/share/locale/fr $fs/usr/share/locale";}i:2;i:9255;}i:206;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9255;}i:207;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:172:"
The dialog configuration file is /etc/dialogrc and/or ~/.dialogrc for each user. There are also full examples of scripts in the /sample directory in the sources of dialog.";}i:2;i:9313;}i:208;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9485;}i:209;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:9487;}i:210;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:38:"Ninvaders-0.1.1 - Space Invaders clone";i:1;i:2;i:2;i:9487;}i:2;i:9487;}i:211;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:9487;}i:212;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9537;}i:213;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"
ninvaders (";}i:2;i:9538;}i:214;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:33:"http://ninvaders.sourceforge.net/";i:1;N;}i:2;i:9550;}i:215;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:217:") is a clone of the popular Space Invaders game (46 KB). We begin by placing ourselves in the /src directory, then we download, untar, compile, clean using strip and copy the nInvaders binary in /usr/games of SliTaz:
";}i:2;i:9583;}i:216;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9800;}i:217;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:207:" # cd ..
 # wget http://ovh.dl.sourceforge.net/sourceforge/ninvaders/ninvaders-0.1.1.tar.gz
 # tar xzf ninvaders-0.1.1.tar.gz
 # cd ninvaders-0.1.1
 # make
 # strip -v nInvaders
 # cp nInvaders $fs/usr/games";}i:2;i:9800;}i:218;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:10024;}i:219;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:34:"bastet-0.41 - Bastard Tetris clone";i:1;i:2;i:2;i:10024;}i:2;i:10024;}i:220;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:10024;}i:221;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10070;}i:222;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:27:"
A game of Tetris (17 KB):
";}i:2;i:10071;}i:223;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10098;}i:224;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:254:" # wget http://fph.altervista.org/prog/bastet-0.41.tgz
 # tar xzf bastet-0.41.tgz
 # cd bastet-0.41
 # make
 # strip bastet
 # cp bastet $fs/usr/games
 # mkdir -p $fs/var/games
 # touch $fs/var/games/bastet.scores
 # chmod 666 $fs/var/games/bastet.scores";}i:2;i:10098;}i:225;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:10373;}i:226;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:32:"rhapsody-0.28b - IRC chat client";i:1;i:2;i:2;i:10373;}i:2;i:10373;}i:227;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:10373;}i:228;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10417;}i:229;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"
Rhapsody (";}i:2;i:10418;}i:230;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:32:"http://rhapsody.sourceforge.net/";i:1;N;}i:2;i:10429;}i:231;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:55:") is a fast and lightweight chat client supporting the ";}i:2;i:10461;}i:232;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"IRC";}i:2;i:10516;}i:233;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:109:" protocol. It provides a menu for managing servers, channels and configuration. It is therefore easy to use:
";}i:2;i:10519;}i:234;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10628;}i:235;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:223:" # cd ..
 # wget http://switch.dl.sourceforge.net/sourceforge/rhapsody/rhapsody_0.28b.tgz
 # tar xzf rhapsody_0.28b.tgz
 # cd rhapsody-0.28b
 # ./configure -i /usr/bin -d /usr/share/doc/rhapsody
 # make
 # strip -v rhapsody";}i:2;i:10628;}i:236;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10628;}i:237;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:115:"
Install the binary and help files in SliTaz. We must adjust permissions on these files so that everyone can read:
";}i:2;i:10867;}i:238;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10982;}i:239;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:155:" # cp rhapsody $fs/usr/bin
 # mkdir $fs/usr/share/doc/rhapsody
 # cp -a help $fs/usr/share/doc/rhapsody/help
 # chmod 644 $fs/usr/share/doc/rhapsody/help/*";}i:2;i:10982;}i:240;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11148;}i:241;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"libs";i:1;i:3;i:2;i:11148;}i:2;i:11148;}i:242;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:11148;}i:243;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11162;}i:244;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:40:"
Rhapsody uses the following libraries:
";}i:2;i:11163;}i:245;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11208;}i:246;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:180:"
          libncurses.so.5 => /lib/libncurses.so.5 (0x40026000)
          libc.so.6 => /lib/libc.so.6 (0x40066000)
          /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000))
";i:1;N;i:2;N;}i:2;i:11208;}i:247;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11397;}i:248;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:37:"Rhapsody use the following libraries:";i:1;i:3;i:2;i:11397;}i:2;i:11397;}i:249;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:11397;}i:250;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11444;}i:251;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:74:"
You can customize rhapsody via ~/.rhapsodyrc or use <Ctrl+T> for options:";}i:2;i:11445;}i:252;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11519;}i:253;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11521;}i:254;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:39:"Generate the initramfs and an ISO image";i:1;i:2;i:2;i:11521;}i:2;i:11521;}i:255;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:11521;}i:256;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11572;}i:257;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:17:"
To create a new ";}i:2;i:11573;}i:258;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:11590;}i:259;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:164:" image, you can use 'mktaziso' in SliTaz tools. Or you can create a new initramfs image, copy it to /boot in the root of the cdrom (rootcd) and finally generate an ";}i:2;i:11593;}i:260;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:11757;}i:261;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:" image with genisoimage:
";}i:2;i:11760;}i:262;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11785;}i:263;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:305:" # cd $fs
 # find . -print | cpio -o -H newc | gzip -9 > ../rootfs.gz
 # cd ..
 # cp rootfs.gz rootcd/boot
 # genisoimage -R -o slitaz-cooking.iso -b boot/isolinux/isolinux.bin \
   -c boot/isolinux/boot.cat -no-emul-boot -boot-load-size 4 \
   -V "SliTaz" -input-charset iso8859-1 -boot-info-table rootcd";}i:2;i:11785;}i:264;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12107;}i:265;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Following chapter";i:1;i:3;i:2;i:12107;}i:2;i:12107;}i:266;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:12107;}i:267;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12134;}i:268;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:52:"
The next chapter describes the installation of the ";}i:2;i:12135;}i:269;a:3:{i:0;s:12:"internallink";i:1;a:2:{i:0;s:6:"locale";i:1;s:7:"locales";}i:2;i:12187;}i:270;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:" and i18n.";}i:2;i:12205;}i:271;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12215;}i:272;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12216;}i:273;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:12216;}}