a:519:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:11:"Base System";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:26;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:66:"
Build a SliTaz GNU/Linux distro running in RAM and using BusyBox.";}i:2;i:27;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:93;}i:6;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:96;}i:7;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:5:"About";i:1;i:2;i:2;i:96;}i:2;i:96;}i:8;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:96;}i:9;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:113;}i:10;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:318:"
This document describes the construction of the SliTaz base system and why we use a Linux Kernel, BusyBox and Syslinux to boot the system. SliTaz uses an initramfs archive unpacked in RAM by the kernel at boot. We will create a box to hold a root of 3 to 4MB and use strip on the libraries and binaries to save space.";}i:2;i:114;}i:11;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:432;}i:12;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:432;}i:13;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:174:"The scripts and configuration files are created with GNU nano, using the keystroke <ctrl+x> to save and exit. But of course you are free to replace with your own text editor.";}i:2;i:434;}i:14;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:608;}i:15;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:608;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:170:"This document is based on a howto found in the archive of BusyBox, which is itself based on a paper presented by Erik Anderson in the Embedded Systems Conference in 2001.";}i:2;i:610;}i:17;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:780;}i:18;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:782;}i:19;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:8:"Wget src";i:1;i:2;i:2;i:782;}i:2;i:782;}i:20;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:782;}i:21;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:802;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:55:"
Create a src directory for downloading and compiling:
";}i:2;i:803;}i:23;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:858;}i:24;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:25:" # mkdir -p src
 # cd src";}i:2;i:858;}i:25;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:889;}i:26;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:889;}i:27;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:889;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:22:" Linux Kernel 2.6.20 (";}i:2;i:893;}i:29;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:22:"http://www.kernel.org/";i:1;N;}i:2;i:915;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:").";}i:2;i:937;}i:31;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:939;}i:32;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:939;}i:33;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:939;}i:34;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:71:" # wget ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.20.tar.bz2";}i:2;i:940;}i:35;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:1015;}i:36;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:1015;}i:37;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1015;}i:38;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Busybox 1.2.2 (";}i:2;i:1019;}i:39;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:23:"http://www.busybox.net/";i:1;N;}i:2;i:1035;}i:40;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:").";}i:2;i:1058;}i:41;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1060;}i:42;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1060;}i:43;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:1060;}i:44;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:62:" # wget http://www.busybox.net/downloads/busybox-1.2.2.tar.bz2";}i:2;i:1061;}i:45;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:1127;}i:46;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:1127;}i:47;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1127;}i:48;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Syslinux 3.35 (";}i:2;i:1131;}i:49;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:26:"http://syslinux.zytor.com/";i:1;N;}i:2;i:1147;}i:50;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:").";}i:2;i:1173;}i:51;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1175;}i:52;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1175;}i:53;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:1175;}i:54;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:78:" # wget ftp://ftp.kernel.org/pub/linux/boot/syslinux/3.xx/syslinux-3.35.tar.gz";}i:2;i:1176;}i:55;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:1258;}i:56;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:1258;}i:57;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1258;}i:58;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:86:" SliTaz tools 1.1. Download SliTaz tools, unpack, save the file in src/ and that's it:";}i:2;i:1262;}i:59;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1348;}i:60;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1348;}i:61;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:1348;}i:62;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:121:"   # wget http://download.tuxfamily.org/slitaz/sources/tools/slitaz-tools-1.1.tar.gz
   # tar xzf slitaz-tools-1.1.tar.gz";}i:2;i:1349;}i:63;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1477;}i:64;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:35:"Unpack and prepare the Linux Kernel";i:1;i:2;i:2;i:1477;}i:2;i:1477;}i:65;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1477;}i:66;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1524;}i:67;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:73:"
We will begin by compiling a Linux kernel, which may take a little time.";}i:2;i:1525;}i:68;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1598;}i:69;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1600;}i:70;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:12:"Linux Kernel";i:1;i:3;i:2;i:1600;}i:2;i:1600;}i:71;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:1600;}i:72;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1622;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:228:"
Your kernel must support the intramfs filesystem, otherwise the cdrom will not start. You can also install the modules in a directory so as not to touch the host system. The configuration of the Linux kernel sources is done by ";}i:2;i:1623;}i:74;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:1851;}i:75;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:15:"make menuconfig";}i:2;i:1852;}i:76;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1867;}i:77;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:35:" using ncurses or graphically with ";}i:2;i:1868;}i:78;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:1903;}i:79;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"make gconfig";}i:2;i:1904;}i:80;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1916;}i:81;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" or ";}i:2;i:1917;}i:82;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:1921;}i:83;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"make xconfig";}i:2;i:1922;}i:84;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1934;}i:85;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:72:" using GTK development packages and/or QT respectively. You can find in ";}i:2;i:1935;}i:86;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:45:"http://doc.slitaz.org/en:cookbook:slitaztools";i:1;s:12:"SliTaz tools";}i:2;i:2007;}i:87;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:", Makefiles for the various 2.6.xx kernels.";}i:2;i:2069;}i:88;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2112;}i:89;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2112;}i:90;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:175:"A feature of the 2.6 kernels is that if we make menuconfig, xconfig or config for the first time, the setup menu is displayed based on the configuration of our current kernel.";}i:2;i:2114;}i:91;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2289;}i:92;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2289;}i:93;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:162:"The options depend on your needs, you can install module-init-tools to support compressed modules or for a minimal install, you can select only the vital options.";}i:2;i:2291;}i:94;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2453;}i:95;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2453;}i:96;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:39:"We start by changing into the sources, ";}i:2;i:2455;}i:97;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:2494;}i:98;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:13:"make mrproper";}i:2;i:2495;}i:99;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:2508;}i:100;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:109:" to put things in order, then we start a configuration interface: gconfig, xconfig, menuconfig or oldconfig:
";}i:2;i:2509;}i:101;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2618;}i:102;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:269:" # tar xjf linux-2.6.20.tar.bz2
 # cd linux-2.6.20
 # make mrproper
 # cp ../slitaz-tools-1.1/Makefiles/linux-2.6.20-slitaz.config .config
 # make oldconfig
 (# make menuconfig)
 # make bzImage
 # make modules
 # make INSTALL_MOD_PATH=$PWD/_pkg modules_install
 # cd ..";}i:2;i:2618;}i:103;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2618;}i:104;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:193:"
If you want more info on compiling kernels, there are many textbooks. Note that you can install the kernel and after rebooting, you can compile your own kernel following the same instructions.";}i:2;i:2909;}i:105;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3102;}i:106;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3104;}i:107;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:36:"Creation of the root system (rootfs)";i:1;i:2;i:2;i:3104;}i:2;i:3104;}i:108;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:3104;}i:109;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3152;}i:110;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:103:"
The next step will create a file named 'rootfs' - Root File System, in the working directory SliTaz/:
";}i:2;i:3153;}i:111;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3256;}i:112;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:18:" # mkdir ../rootfs";}i:2;i:3256;}i:113;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3279;}i:114;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:15:"Install BusyBox";i:1;i:3;i:2;i:3279;}i:2;i:3279;}i:115;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:3279;}i:116;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3304;}i:117;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:"
BusyBox (";}i:2;i:3305;}i:118;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:23:"http://www.busybox.net/";i:1;s:15:"www.busybox.net";}i:2;i:3315;}i:119;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:283:") is a single executable offering versions of the main tools necessary to use a Linux kernel. It is (mainly) intended to be used embedded and can do almost anything. As well as proposing (coreutils) shell commands and a daemons system, it also provides a websever and client/server (";}i:2;i:3358;}i:120;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"DHCP";}i:2;i:3641;}i:121;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:", udhcpc).
";}i:2;i:3645;}i:122;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3656;}i:123;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:32:" # tar xjf busybox-1.2.2.tar.bz2";}i:2;i:3656;}i:124;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3656;}i:125;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:197:"
Configure and compile, remembering the dumpkmap options, init, etc - you can find help in the Makefile in SliTaz Busybox tools. Make install creates a _install directory in the current directory:
";}i:2;i:3692;}i:126;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3889;}i:127;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:182:" # cd busybox-1.2.2
 # cp ../slitaz-tools-1.1/Makefiles/busybox-1.2.2.config .config
 # make oldconfig
 (# make menuconfig)
 # make
 # make install
 # chmod 4755 _install/bin/busybox";}i:2;i:3889;}i:128;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3889;}i:129;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:92:"
Copy files compiled by BusyBox in the directory _install to the root file system (rootfs):
";}i:2;i:4087;}i:130;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4179;}i:131;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:32:" # cp -a _install/* ../../rootfs";}i:2;i:4179;}i:132;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4179;}i:133;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:312:"
The linuxrc link pointing to /bin/busybox, folders /bin, /lib and /sbin were added to the directory /rootfs - you can check this. It may be that the link isn't there if you didn't select the option initrd support in Busybox. We'll delete the linuxrc link and create a link for init that points to /bin/busybox:
";}i:2;i:4215;}i:134;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4527;}i:135;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:57:" # cd ../../rootfs
 # ls -CF
 bin/  linuxrc@  sbin/  usr/";}i:2;i:4527;}i:136;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:39:" # rm linuxrc
 # ln -s bin/busybox init";}i:2;i:4592;}i:137;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4638;}i:138;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:14:"ldd on BusyBox";i:1;i:3;i:2;i:4638;}i:2;i:4638;}i:139;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:4638;}i:140;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4662;}i:141;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:390:"
The ldd command can show any libraries used by a program. Libraries used by Busybox may differ depending on the host system. On Debian for example, copying the libraries in /lib/tls. The following commands are given using 'v' for verbose mode. To eliminate the symbols of executable binaries and shared libraries we can utilize strip. Note you may also use the mklibs or uClibc libraries.
";}i:2;i:4663;}i:142;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5053;}i:143;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:12:" # mkdir lib";}i:2;i:5053;}i:144;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5053;}i:145;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:"
SliTaz or another:
";}i:2;i:5069;}i:146;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5089;}i:147;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:79:" # cp /lib/{libcrypt.so.1,libm.so.6,libc.so.6} lib
 # cp /lib/ld-linux.so.2 lib";}i:2;i:5089;}i:148;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5089;}i:149;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:"
Example on Debian Etch:
";}i:2;i:5174;}i:150;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5199;}i:151;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:83:" # cp /lib/tls/{libcrypt.so.1,libm.so.6,libc.so.6} lib
 # cp /lib/ld-linux.so.2 lib";}i:2;i:5199;}i:152;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5199;}i:153;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:31:"
Cleanup libraries with strip:
";}i:2;i:5288;}i:154;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5319;}i:155;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:17:" # strip -v lib/*";}i:2;i:5319;}i:156;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:5341;}i:157;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:28:"Linux tree and configuration";i:1;i:3;i:2;i:5341;}i:2;i:5341;}i:158;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:5341;}i:159;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5379;}i:160;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:272:"
Make some directories for a classic Linux branch SliTaz installation. /dev for devices, /etc, /home, /usr, /proc, /root and co. To learn more about the hierarchy of a file system and its contents, there is a File System Hierarchy Standard available in various formats at ";}i:2;i:5380;}i:161;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:28:"http://www.pathname.com/fhs/";i:1;s:21:"www.pathname.com/fhs/";}i:2;i:5652;}i:162;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:".";}i:2;i:5706;}i:163;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5707;}i:164;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5707;}i:165;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:355:"You are free to create your own directory tree. In traditional Unix systems, /usr usually contains files from the distribution, /dev contains devices (devices), /etc contains configuration files, /lib libraries, /home for home users and /var for variable data. Note that we do not create /lib, /bin or /sbin - these are created when BusyBox is installed.
";}i:2;i:5709;}i:166;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6064;}i:167;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:175:" # mkdir -p dev etc root home proc media mnt sys tmp var
 # mkdir -p usr/{lib,local,games,share} \
   var/{cache,lib,lock,log,games,run,spool} \
   media/{cdrom,flash,usbdisk}";}i:2;i:6064;}i:168;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6064;}i:169;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:"
Change permissions on the /tmp directory:
";}i:2;i:6249;}i:170;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6292;}i:171;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:17:" # chmod 1777 tmp";}i:2;i:6292;}i:172;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6292;}i:173;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:92:"
Setting up glibc - note /etc/ld.so.conf and /etc/rpc are not essential for a micro system:
";}i:2;i:6313;}i:174;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6405;}i:175;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:42:" # touch etc/ld.so.conf
 # cp /etc/rpc etc";}i:2;i:6405;}i:176;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:6454;}i:177;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:26:"Create the devices in /dev";i:1;i:3;i:2;i:6454;}i:2;i:6454;}i:178;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:6454;}i:179;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6490;}i:180;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:232:"
This can be done with the script 'mkdevs.sh' found in BusyBox, or with our script 'mktazdevs.sh' in SliTaz tools. If you want more details, read the scripts. If you used the BusyBox version, we must still create the pts directory:
";}i:2;i:6491;}i:181;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6723;}i:182;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:78:" # cp ../src/slitaz-tools-1.1/utils/mktazdevs.sh bin
 # ./bin/mktazdevs.sh dev";}i:2;i:6723;}i:183;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6723;}i:184;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:5:"
or:
";}i:2;i:6807;}i:185;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6812;}i:186;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:123:" # cp ../src/busybox-1.2.2/examples/bootfloppy/mkdevs.sh bin
 # ./bin/mkdevs.sh dev
 # mkdir -p dev/{pts,input,shm,net,usb}";}i:2;i:6812;}i:187;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6812;}i:188;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:85:"
Note that we start mdev-s with the rcS script to create devices dynamically at boot.";}i:2;i:6943;}i:189;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7028;}i:190;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7030;}i:191;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:45:"Support for the resolution of hostnames (DNS)";i:1;i:3;i:2;i:7030;}i:2;i:7030;}i:192;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:7030;}i:193;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7085;}i:194;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:145:"
Copy the libraries libnss_* of the host system into our SliTaz system. These libraries are used for name resolution and are cleaned with strip:
";}i:2;i:7086;}i:195;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7231;}i:196;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:102:" # cp /lib/{libnss_dns.so.2,libnss_files.so.2} lib
 # cp /lib/libresolv.so.2 lib
 # strip -v lib/*.so*";}i:2;i:7231;}i:197;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7342;}i:198;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:25:"Configuration of your box";i:1;i:2;i:2;i:7342;}i:2;i:7342;}i:199;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:7342;}i:200;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7379;}i:201;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:162:"
Create the necessary files in /etc. For more info, just look at the contents of the files. We start by creating some files relevant to the core operating system.";}i:2;i:7380;}i:202;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7542;}i:203;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7544;}i:204;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Configure network";i:1;i:3;i:2;i:7544;}i:2;i:7544;}i:205;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:7544;}i:206;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7571;}i:207;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:51:"
Create basic files used to configure the network:
";}i:2;i:7572;}i:208;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7623;}i:209;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:204:" # echo "127.0.0.1      localhost" > etc/hosts
 # echo "localnet    127.0.0.1" > etc/networks
 # echo "slitaz" > etc/hostname
 # echo "order hosts,bind" > etc/host.conf
 # echo "multi on" >> etc/host.conf";}i:2;i:7623;}i:210;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:7840;}i:211;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:18:"/etc/nsswitch.conf";i:1;i:3;i:2;i:7840;}i:2;i:7840;}i:212;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:7840;}i:213;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:7868;}i:214;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:44:"
Configuration files used to resolve names:
";}i:2;i:7869;}i:215;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:7913;}i:216;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:25:" # nano etc/nsswitch.conf";}i:2;i:7913;}i:217;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:167:"
  # /etc/nsswitch.conf: GNU Name Service Switch config.
  #

  passwd:     files
  group:      files
  shadow:     files

  hosts:      files dns
  networks:   files
";i:1;N;i:2;N;}i:2;i:7947;}i:218;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8123;}i:219;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:14:"/etc/securetty";i:1;i:3;i:2;i:8123;}i:2;i:8123;}i:220;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:8123;}i:221;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8147;}i:222;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:58:"
/etc/securetty lists terminals that can connect to root:
";}i:2;i:8148;}i:223;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8206;}i:224;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:21:" # nano etc/securetty";}i:2;i:8206;}i:225;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:210:"
  # /etc/securetty: List of terminals on which root is allowed to login.
  #
  console

  # For people with serial port consoles
  ttyS0

  # Standard consoles
  tty1
  tty2
  tty3
  tty4
  tty5
  tty6
  tty7
";i:1;N;i:2;N;}i:2;i:8236;}i:226;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8455;}i:227;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:11:"/etc/shells";i:1;i:3;i:2;i:8455;}i:2;i:8455;}i:228;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:8455;}i:229;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8476;}i:230;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:75:"
/etc/shells, a shells list of valid connections. This file is used by the ";}i:2;i:8477;}i:231;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"SSH";}i:2;i:8552;}i:232;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:" server (Dropbear):
";}i:2;i:8555;}i:233;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8575;}i:234;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:18:" # nano etc/shells";}i:2;i:8575;}i:235;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:71:"
  # /etc/shells: valid login shells.
  /bin/sh
  /bin/ash
  /bin/hush
";i:1;N;i:2;N;}i:2;i:8602;}i:236;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8682;}i:237;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:24:"/etc/issue and /etc/motd";i:1;i:3;i:2;i:8682;}i:2;i:8682;}i:238;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:8682;}i:239;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8716;}i:240;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:102:"
/etc/issue is displayed at the end of boot and the message of the day is displayed after logging in:
";}i:2;i:8717;}i:241;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8819;}i:242;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:96:" # echo "SliTaz GNU/Linux 1.0 Kernel \r \l" > etc/issue
 # echo "" >> etc/issue
 # nano etc/motd";}i:2;i:8819;}i:243;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:220:"
   (°-  { Get documentation in: /usr/share/doc.
   //\    Use: 'less' or 'more' to read files, 'su' to be root. }
   v_/_

  SliTaz is distributed in the hope that it will be useful, but
  with ABSOLUTELY NO WARRANTY.
";i:1;N;i:2;N;}i:2;i:8928;}i:244;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:9157;}i:245;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"/etc/busybox.conf";i:1;i:3;i:2;i:9157;}i:2;i:9157;}i:246;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:9157;}i:247;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9184;}i:248;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:119:"
The configuration file for BusyBox, it can set duties on BusyBox applications. For more information, you can read the ";}i:2;i:9185;}i:249;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:42:"http://doc.slitaz.org/en:handbook:security";i:1;s:8:"security";}i:2;i:9304;}i:250;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:42:" page in the Handbook. BusyBox.conf file:
";}i:2;i:9359;}i:251;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9401;}i:252;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:24:" # nano etc/busybox.conf";}i:2;i:9401;}i:253;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:262:"
  # /etc/busybox.conf: SliTaz GNU/linux Busybox configuration.
  #

  [SUID]
  # Allow command to be run by anyone.
  su = ssx root.root
  passwd = ssx root.root
  loadkmap = ssx root.root
  mount = ssx root.root
  reboot = ssx root.root
  halt = ssx root.root
";i:1;N;i:2;N;}i:2;i:9434;}i:254;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9434;}i:255;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:57:"
For added security, change the permissions on the file:
";}i:2;i:9704;}i:256;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9761;}i:257;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:29:" # chmod 600 etc/busybox.conf";}i:2;i:9761;}i:258;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:9795;}i:259;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:12:"/etc/inittab";i:1;i:3;i:2;i:9795;}i:2;i:9795;}i:260;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:9795;}i:261;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9817;}i:262;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:132:"
Minimal configuration file for init. It helps to have a root console without having to go through the login and a console on tty2.
";}i:2;i:9818;}i:263;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9950;}i:264;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:19:" # nano etc/inittab";}i:2;i:9950;}i:265;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:197:"
  # /etc/inittab: init configuration for SliTaz GNU/Linux.

  ::sysinit:/etc/init.d/rcS
  ::respawn:-/bin/sh
  tty2::askfirst:-/bin/sh
  ::ctrlaltdel:/bin/umount -a -r
  ::ctrlaltdel:/sbin/reboot
";i:1;N;i:2;N;}i:2;i:9978;}i:266;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9978;}i:267;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:81:"
You will also find a wider example of an inittab file in the archive of BusyBox.";}i:2;i:10183;}i:268;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10264;}i:269;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:10266;}i:270;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:12:"/etc/profile";i:1;i:3;i:2;i:10266;}i:2;i:10266;}i:271;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:10266;}i:272;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10288;}i:273;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:120:"
This file is read at each login and affects all users. We must use the ./profile config file for each individual user:
";}i:2;i:10289;}i:274;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10409;}i:275;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:19:" # nano etc/profile";}i:2;i:10409;}i:276;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:339:"
  # /etc/profile: system-wide .profile file for the Bourne shells

  PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
  LD_LIBRARY_PATH="/usr/lib:/lib"

  if [ "`id -u`" -eq 0 ]; then
    PS1='\e[1m\u@\h:\w\#\e[m '
  else
    PS1='\e[1m\u@\h:\w\$\e[m '
  fi

  DISPLAY=:0.0

  export PATH LD_LIBRARY_PATH PS1 DISPLAY ignoreeof
  umask 022
";i:1;N;i:2;N;}i:2;i:10437;}i:277;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:10785;}i:278;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:27:"Users, groups and passwords";i:1;i:3;i:2;i:10785;}i:2;i:10785;}i:279;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:10785;}i:280;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10822;}i:281;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:126:"
Create configuration files of users, groups and passwords in /etc/ {passwd, shadow, group, gshadow}, and adjust permissions:
";}i:2;i:10823;}i:282;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10949;}i:283;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:214:" # echo "root:x:0:0:root:/root:/bin/sh" > etc/passwd
 # echo "root::13525:0:99999:7:::" > etc/shadow
 # echo "root:x:0:" > etc/group
 # echo "root:*::" > etc/gshadow
 # chmod 640 etc/shadow
 # chmod 640 etc/gshadow";}i:2;i:10949;}i:284;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10949;}i:285;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:127:"
You can add other users, like hacker is used by the LiveCD mode. You can also configure a password for the root user with the ";}i:2;i:11177;}i:286;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:11304;}i:287;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:"passwd";}i:2;i:11305;}i:288;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:11311;}i:289;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:117:" command. To add an existing user to an existing group, you must edit /etc/group and /etc/gshadow because the applet ";}i:2;i:11312;}i:290;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:11429;}i:291;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"adduser";}i:2;i:11430;}i:292;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:11437;}i:293;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:87:" provided by BusyBox doesn't offer all of the options provided by the original program.";}i:2;i:11438;}i:294;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11525;}i:295;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11527;}i:296;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:23:"/etc/fstab or /etc/mtab";i:1;i:3;i:2;i:11527;}i:2;i:11527;}i:297;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:11527;}i:298;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11560;}i:299;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:33:"
List filesystems to be mounted:
";}i:2;i:11561;}i:300;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11594;}i:301;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:17:" # nano etc/fstab";}i:2;i:11594;}i:302;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:327:"
  # /etc/fstab: information about static file system.
  #
  proc            /proc        proc    defaults          0       0
  sysfs           /sys         sysfs   defaults          0       0
  devpts          /dev/pts     devpts  defaults          0       0
  tmpfs           /dev/shm     tmpfs   defaults          0       0
";i:1;N;i:2;N;}i:2;i:11620;}i:303;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11620;}i:304;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:127:"
/etc/mtab is used by other mkfs*, for listing the mounted partitions. It needs /proc because there is a link on /proc/mounts:
";}i:2;i:11955;}i:305;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12082;}i:306;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:53:" # chroot . /bin/ash
 /# ln -s /proc/mounts /etc/mtab";}i:2;i:12082;}i:307;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12142;}i:308;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:8:"Keyboard";i:1;i:3;i:2;i:12142;}i:2;i:12142;}i:309;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:12142;}i:310;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12160;}i:311;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:176:"
You can create a kmap file specific to your keyboard with the dumpkmap command provided by BusyBox. You can find some kmap files in SliTaz tools. To create a fr_CH kmap file:
";}i:2;i:12161;}i:312;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12337;}i:313;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:89:" /# mkdir /usr/share/kmap
 /# /bin/busybox dumpkmap > /usr/share/kmap/fr_CH.kmap
 /# exit";}i:2;i:12337;}i:314;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12337;}i:315;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:103:"
Once this is done, you can automatically load your keyboard with loadkmap in a /etc/init.d/rcS script:";}i:2;i:12434;}i:316;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12537;}i:317;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12539;}i:318;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:14:"/usr/share/doc";i:1;i:3;i:2;i:12539;}i:2;i:12539;}i:319;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:12539;}i:320;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12563;}i:321;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:120:"
You can also add various documents, such as a SliTaz user manual, which you can download as a tar.gz from the website:
";}i:2;i:12564;}i:322;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12684;}i:323;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:25:" # mkdir -p usr/share/doc";}i:2;i:12684;}i:324;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12714;}i:325;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:28:"Installing the udhcpc script";i:1;i:3;i:2;i:12714;}i:2;i:12714;}i:326;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:12714;}i:327;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12752;}i:328;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"
Udhcpc ";}i:2;i:12753;}i:329;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"DHCP";}i:2;i:12761;}i:330;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:90:" client supplied by Busybox is fast and stable, but is developed independently. Web site: ";}i:2;i:12765;}i:331;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:25:"http://udhcp.busybox.net/";i:1;N;}i:2;i:12855;}i:332;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:292:". You can use the default script found in the archive of BusyBox. This script goes into /usr/share/udhcpc/default.script, but this can be changed via the command line. On SliTaz, the client is started at boot by the script /etc/init.d/network.sh via the configuration file /etc/network.conf:
";}i:2;i:12880;}i:333;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13172;}i:334;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:162:" # mkdir usr/share/udhcpc
 # cp ../src/busybox-1.2.2/examples/udhcp/simple.script \
   usr/share/udhcpc/default.script
 # chmod +x usr/share/udhcpc/default.script";}i:2;i:13172;}i:335;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:13345;}i:336;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:15:"/etc/init.d/rcS";i:1;i:3;i:2;i:13345;}i:2;i:13345;}i:337;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:13345;}i:338;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:13370;}i:339;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:165:"
To finish off this draft, you must create the init script /etc/init.d/rcS to mount the filesystems and run some commands. For more information, you can look at the ";}i:2;i:13371;}i:340;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:45:"http://doc.slitaz.org/en:cookbook:bootscripts";i:1;s:12:"boot scripts";}i:2;i:13536;}i:341;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:72:" page. You can change the value of the variable KMAP= for the keyboard:
";}i:2;i:13598;}i:342;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13670;}i:343;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:42:" # mkdir etc/init.d
 # nano etc/init.d/rcS";}i:2;i:13670;}i:344;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:291:"
  #! /bin/sh
  # /etc/init.d/rcS: rcS initial script.
  #

  KMAP=fr_CH

  echo "Processing /etc/init.d/rcS... "

  /bin/mount proc
  /bin/mount -a
  /bin/hostname -F /etc/hostname
  /sbin/ifconfig lo 127.0.0.1 up
  /sbin/loadkmap < /usr/share/kmap/$KMAP.kmap

   # chmod +x etc/init.d/rcS
";i:1;N;i:2;N;}i:2;i:13723;}i:345;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:14023;}i:346;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"Note";i:1;i:3;i:2;i:14023;}i:2;i:14023;}i:347;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:14023;}i:348;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:14037;}i:349;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:219:"
Note that you can still install the Tazpkg package manager (10 kb) that we created, you will find information to install in the source tarball. You can also install various files from SliTaz tools, such as the licence.";}i:2;i:14038;}i:350;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:14257;}i:351;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:14259;}i:352;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:31:"Build an initramfs cpio archive";i:1;i:2;i:2;i:14259;}i:2;i:14259;}i:353;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:14259;}i:354;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:14302;}i:355;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:"
The initramfs is a ";}i:2;i:14303;}i:356;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:14323;}i:357;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"cpio";}i:2;i:14324;}i:358;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14328;}i:359;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:255:" archive generated from the root of the system, it is decompressed in RAM by the Linux kernel at boot to create the filesystem (also in RAM). To generate an initramfs archive, using the root directory of system files (rootfs), we facilitate a search with ";}i:2;i:14329;}i:360;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:14584;}i:361;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"find";}i:2;i:14585;}i:362;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14589;}i:363;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:" and add some pipes ";}i:2;i:14590;}i:364;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:14610;}i:365;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"|";}i:2;i:14611;}i:366;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14612;}i:367;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:38:". Then we create a cpio archive using ";}i:2;i:14613;}i:368;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:14651;}i:369;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"gzip";}i:2;i:14652;}i:370;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14656;}i:371;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:39:" which we put in the working directory.";}i:2;i:14657;}i:372;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:14696;}i:373;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:14696;}i:374;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:21:"The SliTaz initramfs ";}i:2;i:14698;}i:375;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:14719;}i:376;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"rootfs.gz";}i:2;i:14721;}i:377;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:14730;}i:378;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:32:" is the root system, but with a ";}i:2;i:14732;}i:379;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14764;}i:380;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:".gz";}i:2;i:14765;}i:381;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:14768;}i:382;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:136:" extension. If you want to change the name, you need to edit the configuration file for isolinux: isolinux.cfg or the menu.lst for GRUB.";}i:2;i:14769;}i:383;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:14905;}i:384;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:14905;}i:385;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:"Generation of the initramfs:
";}i:2;i:14907;}i:386;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:14936;}i:387;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:59:" # find . -print | cpio -o -H newc | gzip -9 > ../rootfs.gz";}i:2;i:14936;}i:388;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:14936;}i:389;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:86:"
You should now have a file rootfs.gz about 1 to 2MB in the working directory SliTaz/.";}i:2;i:14999;}i:390;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:15085;}i:391;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:15085;}i:392;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:129:"For a new image, when making changes in rootfs, simply copy the new rootfs.gz archive to rootcd/boot and create a new image with ";}i:2;i:15087;}i:393;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:15216;}i:394;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"genisoimage";}i:2;i:15217;}i:395;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:15228;}i:396;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" or ";}i:2;i:15229;}i:397;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:15233;}i:398;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"mkisofs";}i:2;i:15234;}i:399;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:15241;}i:400;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:28:". For this you can also use ";}i:2;i:15242;}i:401;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:15270;}i:402;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"mktaziso";}i:2;i:15272;}i:403;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:15280;}i:404;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:142:" within SliTaz tools. This script will check if the directories are present, create a new compressed cpio archive and generate a new bootable ";}i:2;i:15282;}i:405;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:15424;}i:406;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" image.";}i:2;i:15427;}i:407;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:15434;}i:408;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:15436;}i:409;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Make rootcd files";i:1;i:2;i:2;i:15436;}i:2;i:15436;}i:410;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:15436;}i:411;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:15465;}i:412;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:160:"
The following steps will help you create the root of the bootable CD-ROM. We begin by creating the rootcd, boot and isolinux directories for the cd-rom files:
";}i:2;i:15466;}i:413;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:15626;}i:414;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:41:" # cd ..
 # mkdir -p rootcd/boot/isolinux";}i:2;i:15626;}i:415;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:15626;}i:416;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:91:"
Optionally, you can create some other directories in which to place various data, such as ";}i:2;i:15673;}i:417;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"HTML";}i:2;i:15764;}i:418;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:" documents or packages.";}i:2;i:15768;}i:419;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:15791;}i:420;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:15793;}i:421;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:15:"Copy the kernel";i:1;i:3;i:2;i:15793;}i:2;i:15793;}i:422;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:15793;}i:423;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:15818;}i:424;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:58:"
Just copy the kernel previously compiled to rootcd/boot:
";}i:2;i:15819;}i:425;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:15877;}i:426;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:57:" # cp src/linux-2.6.20/arch/i386/boot/bzImage rootcd/boot";}i:2;i:15877;}i:427;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:15939;}i:428;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:35:"Copy the initramfs into rootcd/boot";i:1;i:3;i:2;i:15939;}i:2;i:15939;}i:429;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:15939;}i:430;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:15984;}i:431;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:146:"
Copy the rootfs.gz to rootcd/boot. We must not forget to generate a new initramfs archive for any changes made to the rootfs (root file system):
";}i:2;i:15985;}i:432;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:16131;}i:433;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:27:" # cp rootfs.gz rootcd/boot";}i:2;i:16131;}i:434;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:16163;}i:435;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:31:"Install the isolinux bootloader";i:1;i:3;i:2;i:16163;}i:2;i:16163;}i:436;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:16163;}i:437;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:16204;}i:438;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:93:"
The bootloader isolinux - simply copy the isolinux.bin from the source archive of Syslinux:
";}i:2;i:16205;}i:439;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:16298;}i:440;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:107:" # cd src
 # tar xzf syslinux-3.35.tar.gz
 # cp syslinux-3.35/isolinux.bin ../rootcd/boot/isolinux
 # cd ..";}i:2;i:16298;}i:441;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:16416;}i:442;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:33:"isolinux.cfg - Configure isolinux";i:1;i:3;i:2;i:16416;}i:2;i:16416;}i:443;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:16416;}i:444;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:16459;}i:445;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:98:"
Here is an example of an isolinux.cfg file that should work well. You can change it if you wish:
";}i:2;i:16460;}i:446;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:16558;}i:447;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:41:" # nano rootcd/boot/isolinux/isolinux.cfg";}i:2;i:16558;}i:448;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:181:"
  display display.txt
  default slitaz
  label slitaz
      kernel /boot/bzImage
      append initrd=/boot/rootfs.gz rw root=/dev/null vga=788
  implicit 0
  prompt 1
  timeout 80
";i:1;N;i:2;N;}i:2;i:16608;}i:449;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:16608;}i:450;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:68:"
Here are some changes that you might like to make in isolinux.cfg:
";}i:2;i:16797;}i:451;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:16865;}i:452;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:16865;}i:453;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:16865;}i:454;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:16865;}i:455;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:157:" The timeout value is the number of seconds to wait before booting You can make it 0 or delete the line to start instantly, or choose to wait as long as 10s.";}i:2;i:16869;}i:456;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:17026;}i:457;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:17026;}i:458;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:17026;}i:459;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:17026;}i:460;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:54:" prompt can be set to 0 to disable the 'boot:' prompt.";}i:2;i:17030;}i:461;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:17084;}i:462;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:17084;}i:463;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:17084;}i:464;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:17084;}i:465;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:105:" You can add more lines to view the contents of several text files when the user presses F1, F2, F3, etc.";}i:2;i:17088;}i:466;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:17193;}i:467;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:17193;}i:468;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:17193;}i:469;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:17195;}i:470;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:11:"display.txt";i:1;i:3;i:2;i:17195;}i:2;i:17195;}i:471;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:17195;}i:472;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:17216;}i:473;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:82:"
A small welcome note, powered by isolinux, you can modify this file if you wish:
";}i:2;i:17217;}i:474;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:17299;}i:475;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:40:" # nano rootcd/boot/isolinux/display.txt";}i:2;i:17299;}i:476;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:404:"
  /*       _\|/_
           (o o)
   +----oOO-{_}-OOo---------------------------------------------------+
       ____  _ _ _____
      / ___|| (_)_   _|_ _ ____
      \___ \| | | | |/ _` |_  /
       ___) | | | | | (_| |/ /
      |____/|_|_| |_|\__,_/___|

   SliTaz GNU/Linux - Temporary Autonomous Zone

       <ENTER> to boot.

                                                                     */
";i:1;N;i:2;N;}i:2;i:17348;}i:477;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:17761;}i:478;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:47:"Create an ISO image with genisoimage or mkisofs";i:1;i:2;i:2;i:17761;}i:2;i:17761;}i:479;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:17761;}i:480;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:198:" # genisoimage -R -o slitaz-cooking.iso -b boot/isolinux/isolinux.bin \
   -c boot/isolinux/boot.cat -no-emul-boot -boot-load-size 4 \
   -V "SliTaz" -input-charset iso8859-1 -boot-info-table rootcd";}i:2;i:17821;}i:481;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:17821;}i:482;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:63:"
For each change in the root of the box, you must create a new ";}i:2;i:18027;}i:483;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:18090;}i:484;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" image.";}i:2;i:18093;}i:485;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:18100;}i:486;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:18100;}i:487;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:181:"You can create a small script that will generate a new compressed cpio archive and a new image, or use mktaziso within SliTaz tools. Note that you can also use GRUB to boot the box.";}i:2;i:18102;}i:488;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:18283;}i:489;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:18285;}i:490;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:32:"Burn or test ISO image with Qemu";i:1;i:2;i:2;i:18285;}i:2;i:18285;}i:491;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:18285;}i:492;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:18329;}i:493;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:18:"
You can burn the ";}i:2;i:18330;}i:494;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:18348;}i:495;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:133:" image with Graveman, k3b or wodim and boot it. Simple burning command using wodim (also valid for cdrecord), with a 2.6.XX. kernel:
";}i:2;i:18351;}i:496;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:18484;}i:497;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:45:"# wodim -v -speed=24 -data slitaz-cooking.iso";}i:2;i:18484;}i:498;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:18534;}i:499;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"Qemu";i:1;i:3;i:2;i:18534;}i:2;i:18534;}i:500;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:18534;}i:501;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:18548;}i:502;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:28:"
Note that you can test the ";}i:2;i:18549;}i:503;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:18577;}i:504;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:105:" image with the software emulator Qemu (On Debian # aptitude install qemu). To emulate the newly created ";}i:2;i:18580;}i:505;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:18685;}i:506;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:21:" image, simply type:
";}i:2;i:18688;}i:507;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:18709;}i:508;a:3:{i:0;s:12:"preformatted";i:1;a:1:{i:0;s:32:"# qemu -cdrom slitaz-cooking.iso";}i:2;i:18709;}i:509;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:18746;}i:510;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:17:"Following chapter";i:1;i:3;i:2;i:18746;}i:2;i:18746;}i:511;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:18746;}i:512;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:18773;}i:513;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:18:"
The next chapter ";}i:2;i:18774;}i:514;a:3:{i:0;s:12:"internallink";i:1;a:2:{i:0;s:9:"base-apps";i:1;s:17:"Base applications";}i:2;i:18792;}i:515;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:93:" provides all the instructions to install and configure the basic applications and libraries.";}i:2;i:18823;}i:516;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:18916;}i:517;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:18917;}i:518;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:18917;}}