a:186:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:0;}i:2;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:"Some tips to speed-up scripts";}i:2;i:1;}i:3;a:3:{i:0;s:6:"entity";i:1;a:1:{i:0;s:3:"...";}i:2;i:30;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:61:" Add yours, and put the better ones on the top of the page :)";}i:2;i:33;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:94;}i:6;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:41:"Sed substitution vs Variable substitution";i:1;i:3;i:2;i:96;}i:2;i:96;}i:7;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:96;}i:8;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:147;}i:9;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:148;}i:10;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:149;}i:11;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:151;}i:12;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:162;}i:13;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:164;}i:14;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:164;}i:15;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:233:"In some cases, both tools can do the same job. As a built-in ash/bash command, variable substitution is faster.
Note: this is always true - you can compare each type of variable substitution with an equivalent using an external tool.";}i:2;i:166;}i:16;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:399;}i:17;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:399;}i:18;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:401;}i:19;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:403;}i:20;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:412;}i:21;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:414;}i:22;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:420;}i:23;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:305:"
$ echo '#!/bin/sh
for i in $(seq 1 1000); do
	echo "slitaz" | sed 's/slitaz/SliTaz/'
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 1 1000); do
	A=slitaz
	echo "${A/slitaz/SliTaz}"
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 12.40s
$ time /tmp/speed
> real	0m 0.04s
";i:1;N;i:2;N;}i:2;i:420;}i:24;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:735;}i:25;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:29:"Group command vs. Sub-process";i:1;i:3;i:2;i:735;}i:2;i:735;}i:26;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:735;}i:27;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:774;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:775;}i:29;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:776;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:778;}i:31;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:789;}i:32;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:791;}i:33;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:791;}i:34;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"Group command ";}i:2;i:793;}i:35;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:807;}i:36;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"{}";}i:2;i:808;}i:37;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:810;}i:38;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:82:" groups several commands into one (as a function). So, output can be grouped too: ";}i:2;i:811;}i:39;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:893;}i:40;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:22:"{ com1; com2; } | com3";}i:2;i:894;}i:41;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:916;}i:42;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:". Sub-process ";}i:2;i:917;}i:43;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:931;}i:44;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"()";}i:2;i:932;}i:45;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:934;}i:46;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:494:" achieves something similar, but creates a shell sub-process; which costs a lot more resources. Another difference is that when you kill an application using CTRL^C, a sub-process is killed instead of a main application - while CTRL^C on grouped commands kills the application itself. Finally, changing directory or variables into sub-processes will not affect the main script which it does with grouped commands. Conclusion: always use group commands instead of sub-processes, and take care ;D";}i:2;i:935;}i:47;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1429;}i:48;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1429;}i:49;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1431;}i:50;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:5:"Note:";}i:2;i:1433;}i:51;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1438;}i:52;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:51:" group commands need a newline before closing - or ";}i:2;i:1440;}i:53;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1491;}i:54;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:"; }";}i:2;i:1492;}i:55;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1495;}i:56;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:".";}i:2;i:1496;}i:57;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1497;}i:58;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1497;}i:59;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:1499;}i:60;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:1501;}i:61;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:1510;}i:62;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:1512;}i:63;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1518;}i:64;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:256:"
$ echo '#!/bin/sh
for i in $(seq 1 10000); do
	( echo yo )
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 1 10000); do
	{ echo yo; }
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 5.36s
$ time /tmp/speed
> real	0m 0.23s
";i:1;N;i:2;N;}i:2;i:1518;}i:65;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1784;}i:66;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:13:"Grep vs Fgrep";i:1;i:3;i:2;i:1784;}i:2;i:1784;}i:67;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:1784;}i:68;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1807;}i:69;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:1808;}i:70;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:1809;}i:71;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:1811;}i:72;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:1822;}i:73;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1824;}i:74;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1824;}i:75;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:249:"fgrep is exactly the same thing as grep if you don't use patterns (^,$,*,etc.). Fgrep is optimized to handle such cases, particularly when you look for several different plain patterns. A difference can be found even if you look in only one pattern.";}i:2;i:1826;}i:76;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2075;}i:77;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2075;}i:78;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2077;}i:79;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:2079;}i:80;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2088;}i:81;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:2090;}i:82;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2096;}i:83;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:309:"
$ echo -e "line1\nline2\nline3" > /tmp/file
$ echo '#!/bin/sh
for i in $(seq 1 1000); do
	grep 3 /tmp/file
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 1 1000); do
	fgrep 3 /tmp/file
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 11.87s
$ time /tmp/speed
> real	0m 3.21s
";i:1;N;i:2;N;}i:2;i:2096;}i:84;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2415;}i:85;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:27:"[ -n "text" ] vs [ "text" ]";i:1;i:3;i:2;i:2415;}i:2;i:2415;}i:86;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:2415;}i:87;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2452;}i:88;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:2453;}i:89;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2454;}i:90;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:2456;}i:91;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2467;}i:92;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2469;}i:93;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2469;}i:94;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:25:"The two commands test if ";}i:2;i:2471;}i:95;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:2496;}i:96;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"text";}i:2;i:2497;}i:97;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:2501;}i:98;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:76:" exists. Using -n slows the process and weighs down the script a little too.";}i:2;i:2502;}i:99;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2578;}i:100;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2578;}i:101;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2580;}i:102;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:2582;}i:103;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2591;}i:104;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:2593;}i:105;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2599;}i:106;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:259:"
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[  -n "$i" ]
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[ "$i" ]
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 15.56s
$ time /tmp/speed
> real	0m 14.11s
";i:1;N;i:2;N;}i:2;i:2599;}i:107;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2868;}i:108;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:45:"[ -z "text" ] vs [ ! "text" ] vs ! [ "text" ]";i:1;i:3;i:2;i:2868;}i:2;i:2868;}i:109;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:2868;}i:110;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2923;}i:111;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:2924;}i:112;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2925;}i:113;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:2927;}i:114;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2938;}i:115;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2940;}i:116;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2940;}i:117;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:34:"These three commands test if text ";}i:2;i:2942;}i:118;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:2976;}i:119;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"doesn't";}i:2;i:2978;}i:120;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:2985;}i:121;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:" exist. [ ! ";}i:2;i:2987;}i:122;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:2999;}i:123;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"text";}i:2;i:3000;}i:124;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:3004;}i:125;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:" ] and [ -z ";}i:2;i:3005;}i:126;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:3017;}i:127;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"text";}i:2;i:3018;}i:128;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:3022;}i:129;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:45:" ] have a similar processing time, while ! [ ";}i:2;i:3023;}i:130;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:3068;}i:131;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"text";}i:2;i:3069;}i:132;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:3073;}i:133;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:15:" ] is speedier.";}i:2;i:3074;}i:134;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3089;}i:135;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3089;}i:136;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:3091;}i:137;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:3093;}i:138;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:3102;}i:139;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:3104;}i:140;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3110;}i:141;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:389:"
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[  -n "$i" ]
done' > /tmp/slow1
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[  -n "$i" ]
done' > /tmp/slow2
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[ "$i" ]
done' > /tmp/speed
$ chmod +x /tmp/slow1 /tmp/slow2 /tmp/speed
$ time /tmp/slow1
> real	0m 15.53s
$ time /tmp/slow2
> real	0m 15.60s
$ time /tmp/speed
> real	0m 14.27s
";i:1;N;i:2;N;}i:2;i:3110;}i:142;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3509;}i:143;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:10:"Awk vs Cut";i:1;i:3;i:2;i:3509;}i:2;i:3509;}i:144;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:3509;}i:145;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3529;}i:146;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:3530;}i:147;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:3531;}i:148;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:3533;}i:149;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:3544;}i:150;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3546;}i:151;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3546;}i:152;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:172:"Awk, as cut, can be used to cut a field of a line. Awk can do many other things, while cut is a tool dedicated to this usage; it's why cut is a little faster for this task.";}i:2;i:3548;}i:153;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3720;}i:154;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3720;}i:155;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:3723;}i:156;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:3725;}i:157;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:3734;}i:158;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:3736;}i:159;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3742;}i:160;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:331:"
$ echo -e "field1\tfield2\tfield3" > /tmp/file
$ echo '#!/bin/sh
for i in $(seq 1 5000); do
	awk '"'"'{ print $2 }'"'"' /tmp/file
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 5000); do
	cut -f2 /tmp/file
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 16.61s
$ time /tmp/speed
> real	0m 15.90s
";i:1;N;i:2;N;}i:2;i:3742;}i:161;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4083;}i:162;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:64:"[ condition1 -a condition2 ] vs [ condition1 ] && [ condition2 ]";i:1;i:3;i:2;i:4083;}i:2;i:4083;}i:163;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:3;}i:2;i:4083;}i:164;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4157;}i:165;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:4158;}i:166;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:4159;}i:167;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:11:"Information";}i:2;i:4161;}i:168;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:4172;}i:169;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4174;}i:170;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4174;}i:171;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:150:"While && is a fast built-in function, in this case it uses two processes (two test functions) instead of one. So, using -a is a little faster, as the ";}i:2;i:4176;}i:172;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:4326;}i:173;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:"AND";}i:2;i:4327;}i:174;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:4330;}i:175;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:73:" function itself is slower but makes it possible to use only one process.";}i:2;i:4331;}i:176;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4404;}i:177;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4404;}i:178;a:3:{i:0;s:11:"strong_open";i:1;a:0:{}i:2;i:4406;}i:179;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"Benchmark";}i:2;i:4408;}i:180;a:3:{i:0;s:12:"strong_close";i:1;a:0:{}i:2;i:4417;}i:181;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:4419;}i:182;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4425;}i:183;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:277:"
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[ "$i" ] && [ "$i" ]
done' > /tmp/slow
$ echo '#!/bin/sh
for i in $(seq 1 1000000); do
	[  "$i"  -a "$i" ]
done' > /tmp/speed
$ chmod +x /tmp/slow /tmp/speed
$ time /tmp/slow
> real	0m 23.94s
$ time /tmp/speed
> real	0m 22.29s
";i:1;N;i:2;N;}i:2;i:4425;}i:184;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4710;}i:185;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:4710;}}