a:93:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:18:"Chroot environment";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:33;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:515:"
This document describes the necessary steps to create a chrooted environment, in order to change the root of the system so that you can work. This makes it possible to compile, test and develop SliTaz without any risk to the host system you're working on. The host system can be SliTaz installed to a hard drive or any other GNU/Linux system such as Debian, Fedora, PCLinuxOS and so on. You can also create a chrooted environment in LiveCD mode associated with USB media. The only prerequisite is to have a SliTaz ";}i:2;i:34;}i:5;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:549;}i:6;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:106:" image available and a little time. Note that all commands are carried out as system administrator (root).";}i:2;i:552;}i:7;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:658;}i:8;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:660;}i:9;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:23:"Prepare the environment";i:1;i:2;i:2;i:660;}i:2;i:660;}i:10;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:660;}i:11;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:695;}i:12;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:47:"
To begin, we must extract the contents of the ";}i:2;i:696;}i:13;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:743;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:130:" image into the directory that will serve as our chroot. The directory can be created any place you choose, we'll use a directory ";}i:2;i:746;}i:15;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:876;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:878;}i:17;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:901;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:32:". To extract the contents of an ";}i:2;i:903;}i:19;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:935;}i:20;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:142:" image, we must mount it in a loop directory and then copy the compressed root filesystem (rootfs.gz) into the chroot directory. Assuming the ";}i:2;i:938;}i:21;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:1080;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:" is in the current directory:";}i:2;i:1083;}i:23;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1112;}i:24;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:182:"
 # mkdir /tmp/loop
 # mount -o loop slitaz-cooking.iso /tmp/loop
 # mkdir -p /home/slitaz/chroot-env
 # cp /tmp/loop/boot/rootfs.gz \
   /home/slitaz/chroot-env
 # umount /tmp/loop
";i:1;N;i:2;N;}i:2;i:1119;}i:25;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1309;}i:26;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:218:"Now we have a copy of the compressed filesystem, we must extract and unpack it (this is a cpio archive compressed with either gzip or lzma). To complete this stage, we can remove the rootfs which is no longer required:";}i:2;i:1311;}i:27;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1529;}i:28;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:121:"
 # cd /home/slitaz/chroot-env
 # (zcat rootfs.gz 2>/dev/null || lzma d rootfs.gz -so) | cpio -id
 # rm rootfs rootfs.gz
";i:1;N;i:2;N;}i:2;i:1536;}i:29;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1665;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:92:"If the unpacking of the rootfs compressed with lzma fails; you can use the following method:";}i:2;i:1667;}i:31;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1759;}i:32;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:54:"
 # unlzma rootfs.gz -S .gz 
 # cat rootfs | cpio -id
";i:1;N;i:2;N;}i:2;i:1766;}i:33;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1830;}i:34;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:21:"Using the environment";i:1;i:2;i:2;i:1830;}i:2;i:1830;}i:35;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1830;}i:36;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1863;}i:37;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:225:"
To begin using the chrooted environment, you just need to mount some virtual filesystems and use the chroot command. To simplify things, we can write a small script automating the process. Example using the chroot directory ";}i:2;i:1864;}i:38;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2089;}i:39;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:2091;}i:40;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2114;}i:41;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:" and creating a script chroot_in_env.sh in ";}i:2;i:2116;}i:42;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2159;}i:43;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"/home/slitaz";}i:2;i:2161;}i:44;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2173;}i:45;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:69:". On any systems other than SliTaz you can uncomment the lines about ";}i:2;i:2175;}i:46;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2244;}i:47;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/dev";}i:2;i:2246;}i:48;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2250;}i:49;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:5:" and ";}i:2;i:2252;}i:50;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2257;}i:51;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/tmp";}i:2;i:2259;}i:52;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2263;}i:53;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:46:" - Note to save typing you can copy and paste:";}i:2;i:2265;}i:54;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2311;}i:55;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:48:" # cat > /home/slitaz/chroot_in_env.sh << "EOF" ";i:1;N;i:2;N;}i:2;i:2318;}i:56;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:619:"
#!/bin/sh
# Chroot in SliTaz to hack.
#
ROOTFS="/home/slitaz/chroot-env"

# Mount virtual Kernel file systems and chroot.
#
#mount --bind /dev $ROOTFS/dev
#mount --bind /tmp $ROOTFS/tmp
mount -t proc proc $ROOTFS/proc
mount -t sysfs sysfs $ROOTFS/sys
mount -t devpts devpts $ROOTFS/dev/pts
mount -t tmpfs shm $ROOTFS/dev/shm

echo "Chrooting into $ROOTFS... "
chroot $ROOTFS /bin/sh --login

# Unmount virtual Kernel file systems on exit.
#
umount $ROOTFS/dev/shm
umount $ROOTFS/dev/pts
umount $ROOTFS/sys
umount $ROOTFS/proc
#umount $ROOTFS/tmp
#umount $ROOTFS/dev

echo "Exiting $ROOTFS chroot environment... "

EOF
";i:1;N;i:2;N;}i:2;i:2381;}i:57;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3008;}i:58;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:80:"To finish and test the environment, you just make the script executable and run:";}i:2;i:3010;}i:59;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3090;}i:60;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:79:"
 # chmod +x /home/slitaz/chroot_in_env.sh
 # sh /home/slitaz/chroot_in_env.sh
";i:1;N;i:2;N;}i:2;i:3097;}i:61;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3186;}i:62;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:23:"To activate the network";i:1;i:4;i:2;i:3186;}i:2;i:3186;}i:63;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:3186;}i:64;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3217;}i:65;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:99:"
In order to have the network up to download and install some development packages, just start the ";}i:2;i:3218;}i:66;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"DHCP";}i:2;i:3317;}i:67;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:53:" client on the correct interface. Example using eth1:";}i:2;i:3321;}i:68;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3374;}i:69;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:18:" # udhcpc -i eth1 ";i:1;N;i:2;N;}i:2;i:3382;}i:70;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3410;}i:71;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:19:"Installing packages";i:1;i:4;i:2;i:3410;}i:2;i:3410;}i:72;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:3410;}i:73;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3437;}i:74;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:319:"
If the network is functional, just reload the list of packages and use tazpkg get-install to install them. If a connection is not possible, you can download the packages from another system, copy them to the chrooted environment and install them with the tazpkg install command. To install the basic compilation tools:";}i:2;i:3438;}i:75;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3757;}i:76;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:58:" # tazpkg recharge
 # tazpkg get-install slitaz-toolchain ";i:1;N;i:2;N;}i:2;i:3765;}i:77;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3831;}i:78;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:154:"Once the environment is configured, you can compile applications from source to create packages, test scripts, etc. The Cookbook should help you out here:";}i:2;i:3833;}i:79;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3987;}i:80;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:3989;}i:81;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:20:"Exit the environment";i:1;i:4;i:2;i:3989;}i:2;i:3989;}i:82;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:3989;}i:83;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4017;}i:84;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:55:"
To exit the chrooted environment, just type exit, the ";}i:2;i:4018;}i:85;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:4073;}i:86;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:"chroot_in_env.sh";}i:2;i:4075;}i:87;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:4091;}i:88;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:82:" script will then end by unmounting the virtual filesystems from the Linux Kernel:";}i:2;i:4093;}i:89;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4175;}i:90;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:12:"
 # exit
 #
";i:1;N;i:2;N;}i:2;i:4182;}i:91;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:4203;}i:92;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:4203;}}