a:120:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:25:"Окружение chroot";i:1;i:2;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:37;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1008:"
Этот документ описывает этапы, необходимые для создания окружения chroot, что даст вам возможность изменить корень файловой системы, и вы сможете в ней работать. При этом вы получите возможность компилировать, тестировать и разрабатывать SliTaz, не боясь повредить основную систему, в которой вы находитесь. В качестве основной системы может служить сам SliTaz, установленный на жесткий диск, или любая другая система GNU/Linux, например, Debian, Fedora, PCLinuxOS и др. Можно также создать окружение chroot в режиме Live CD + USB-носитель. Единственное необходимое условие — наличие ";}i:2;i:38;}i:5;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:1046;}i:6;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:238:"-образа SliTaz и немного времени. Важно помнить, что все нижеприведенные команды выполняются от имени системного администратора (root).";}i:2;i:1049;}i:7;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1287;}i:8;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:1290;}i:9;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:39:"Подготовка окружения";i:1;i:4;i:2;i:1290;}i:2;i:1290;}i:10;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:1290;}i:11;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1335;}i:12;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:86:"
Для начала необходимо распаковать содержимое ";}i:2;i:1336;}i:13;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"ISO";}i:2;i:1422;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:213:"-образа в папку, которая станет нашим chroot. Эту директорию можно создать в любом месте, мы же будем использовать папку ";}i:2;i:1425;}i:15;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1638;}i:16;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:1640;}i:17;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1663;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:263:". Чтобы распаковать образ, мы должны смонтировать эту папку в режиме петли (loop), а затем скопировать в нее файл сжатой корневой файловой системы (";}i:2;i:1665;}i:19;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1928;}i:20;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"rootfs.gz";}i:2;i:1930;}i:21;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1939;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:155:"). Допустим, образ диска уже находится в этой папке, тогда выполним следующие команды:";}i:2;i:1941;}i:23;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2096;}i:24;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:172:"
# mkdir /tmp/loop
# mount -o loop slitaz-cooking.iso /tmp/loop
# mkdir -p /home/slitaz/chroot-env
# cp /tmp/loop/boot/rootfs.gz /home/slitaz/chroot-env
# umount /tmp/loop
";i:1;N;i:2;N;}i:2;i:2103;}i:25;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2283;}i:26;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:251:"Теперь у нас есть копия сжатой файловой системы, давайте распакуем ее (это cpio-архив, сжатый при помощи gzip или lzma). По завершении удалим сам ";}i:2;i:2285;}i:27;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:2536;}i:28;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:"rootfs.gz";}i:2;i:2538;}i:29;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:2547;}i:30;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:43:", он нам больше не нужен:";}i:2;i:2549;}i:31;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2592;}i:32;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:118:"
# cd /home/slitaz/chroot-env
# (zcat rootfs.gz 2>/dev/null || lzma d rootfs.gz -so) | cpio -id
# rm rootfs rootfs.gz
";i:1;N;i:2;N;}i:2;i:2599;}i:33;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:2725;}i:34;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:152:"Если распаковка файла, сжатого lzma, не удалась, можно использовать следующий способ:";}i:2;i:2727;}i:35;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2879;}i:36;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:52:"
# unlzma rootfs.gz -S .gz 
# cat rootfs | cpio -id
";i:1;N;i:2;N;}i:2;i:2886;}i:37;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2949;}i:38;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:45:"Использование окружения";i:1;i:2;i:2;i:2949;}i:2;i:2949;}i:39;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:2949;}i:40;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:3004;}i:41;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:471:"
Перед тем как начать работать в окружении chroot, потребуется смонтировать некоторые виртуальные файловые системы и использовать команду chroot. С целью упрощения этой задачи напишем маленький скрипт, автоматизирующий данный процесс. Будем использовать папку ";}i:2;i:3005;}i:42;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3476;}i:43;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"/home/slitaz/chroot-env";}i:2;i:3478;}i:44;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3501;}i:45;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:40:", а сам скрипт назовем ";}i:2;i:3503;}i:46;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3543;}i:47;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:"chroot_in_env.sh";}i:2;i:3545;}i:48;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3561;}i:49;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:31:" и поместим его в ";}i:2;i:3563;}i:50;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3594;}i:51;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"/home/slitaz";}i:2;i:3596;}i:52;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3608;}i:53;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:141:". В других системах (не SliTaz) вы можете снять комментарий со строк, монтирующих ";}i:2;i:3610;}i:54;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3751;}i:55;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/dev";}i:2;i:3753;}i:56;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3757;}i:57;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" и ";}i:2;i:3759;}i:58;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:3763;}i:59;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"/tmp";}i:2;i:3765;}i:60;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:3769;}i:61;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:168:". Этот скрипт можно вставить в любой текстовый редактор, чтобы не тратить время на его набор.";}i:2;i:3771;}i:62;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:3939;}i:63;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:48:" # cat > /home/slitaz/chroot_in_env.sh << "EOF" ";i:1;N;i:2;N;}i:2;i:3946;}i:64;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:767:"
#!/bin/sh
# Chroot in SliTaz to hack.
#
ROOTFS="/home/slitaz/chroot-env"

# подключение виртуальной файловой системы ядра и chroot.
#
#mount --bind /dev $ROOTFS/dev
#mount --bind /tmp $ROOTFS/tmp
mount -t proc proc $ROOTFS/proc
mount -t sysfs sysfs $ROOTFS/sys
mount -t devpts devpts $ROOTFS/dev/pts
mount -t tmpfs shm $ROOTFS/dev/shm

echo "Переключение chroot в $ROOTFS... "
chroot $ROOTFS /bin/sh --login

# отключение виртуальной файловой системы ядра при выходе.
#
umount $ROOTFS/dev/shm
umount $ROOTFS/dev/pts
umount $ROOTFS/sys
umount $ROOTFS/proc
#umount $ROOTFS/tmp
#umount $ROOTFS/dev

echo "Выход из окружения chroot $ROOTFS... "

EOF
";i:1;N;i:2;N;}i:2;i:4008;}i:65;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:4783;}i:66;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:138:"Чтобы протестировать окружение, сделаем скрипт исполняемым и запустим его:";}i:2;i:4785;}i:67;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:4923;}i:68;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:77:"
# chmod +x /home/slitaz/chroot_in_env.sh
# sh /home/slitaz/chroot_in_env.sh
";i:1;N;i:2;N;}i:2;i:4930;}i:69;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:5018;}i:70;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:21:"Запуск сети";i:1;i:4;i:2;i:5018;}i:2;i:5018;}i:71;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:5018;}i:72;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5045;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:196:"
Чтобы включить сеть и иметь возможность скачивать и устанавливать пакеты для разработки, запустим клиент ";}i:2;i:5046;}i:74;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:4:"DHCP";}i:2;i:5242;}i:75;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:67:" и укажем нужный интерфейс, например:";}i:2;i:5246;}i:76;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5313;}i:77;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:16:"# udhcpc -i eth1";i:1;N;i:2;N;}i:2;i:5320;}i:78;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:5347;}i:79;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:33:"Установка пакетов";i:1;i:4;i:2;i:5347;}i:2;i:5347;}i:80;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:5347;}i:81;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5386;}i:82;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:129:"
Когда сеть заработает, обновите список пакетов и используйте команду ";}i:2;i:5387;}i:83;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:5516;}i:84;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:18:"tazpkg get-install";}i:2;i:5518;}i:85;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:5536;}i:86;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:242:" для их установки. Если соединения нет, можно брать пакеты из другой системы, копировать их в окружение chroot и устанавливать командой ";}i:2;i:5538;}i:87;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:5780;}i:88;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"tazpkg install";}i:2;i:5782;}i:89;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:5796;}i:90;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:102:". Для примера, установим базовые утилиты для компиляции:";}i:2;i:5798;}i:91;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:5900;}i:92;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:58:"
# tazpkg recharge
# tazpkg get-install slitaz-toolchain 
";i:1;N;i:2;N;}i:2;i:5907;}i:93;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:5973;}i:94;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:319:"Как только окружение будет настроено, можно будет компилировать приложения из исходников и создавать из них пакеты, тестовые скрипты и т.д. Подробную информацию вы найдете в ";}i:2;i:5975;}i:95;a:3:{i:0;s:12:"internallink";i:1;a:2:{i:0;s:17:"ru:cookbook:start";i:1;s:8:"Cookbook";}i:2;i:6294;}i:96;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:".";}i:2;i:6324;}i:97;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6325;}i:98;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:6328;}i:99;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:34:"Выход из окружения";i:1;i:4;i:2;i:6328;}i:2;i:6328;}i:100;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:6328;}i:101;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6368;}i:102;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:82:"
Для выхода из окружения chroot просто наберите ";}i:2;i:6369;}i:103;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:6451;}i:104;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"exit";}i:2;i:6453;}i:105;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:6457;}i:106;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:31:", при этом скрипт ";}i:2;i:6459;}i:107;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:6490;}i:108;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:"chroot_in_env.sh";}i:2;i:6492;}i:109;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:6508;}i:110;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:141:" отмонтирует виртуальные файловые системы от ядра Linux и завершит свою работу:";}i:2;i:6510;}i:111;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6651;}i:112;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:10:"
# exit
#
";i:1;N;i:2;N;}i:2;i:6658;}i:113;a:3:{i:0;s:2:"hr";i:1;a:0:{}i:2;i:6677;}i:114;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6677;}i:115;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:"
Статью перевел ";}i:2;i:6682;}i:116;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:52:"http://forum.slitaz.org/index.php/profile/1273/Cyril";i:1;s:5:"Cyril";}i:2;i:6711;}i:117;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6773;}i:118;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:6774;}i:119;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:6774;}}