a:434:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:8:"Printing";i:1;i:1;i:2;i:1;}i:2;i:1;}i:2;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:1;}i:3;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:23;}i:4;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:241:"
The CUPS (Common Unix Printing System) software manages printers connected to the local computer or over a network. The local printers are attached via a loop-back connection (IP 127.0.0.1), a network connection pointing to the same system.";}i:2;i:24;}i:5;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:265;}i:6;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:267;}i:7;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:28:"Installing a Network Printer";i:1;i:2;i:2;i:267;}i:2;i:267;}i:8;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:267;}i:9;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:307;}i:10;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:41:"
Install CUPS and add the user(s) to the ";}i:2;i:308;}i:11;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:349;}i:12;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"lp";}i:2;i:351;}i:13;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:353;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:89:" group to gain permissions to access the devices. This can be done as root in a terminal:";}i:2;i:355;}i:15;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:444;}i:16;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:45:"
# tazpkg get-install cups
# addgroup tux lp
";i:1;N;i:2;N;}i:2;i:451;}i:17;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:504;}i:18;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:70:"Again as root, customise the default configuration in /etc/cupsd.conf:";}i:2;i:506;}i:19;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:576;}i:20;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:273:"
# Administrator user group...
SystemGroup lp

# Restrict access to the admin pages...

  Order allow,deny
  Allow 127.0.0.1


# Restrict access to configuration files...

  AuthType Default
  Require user @SYSTEM
  Order allow,deny
  Deny From None
  Allow From 127.0.0.1
";i:1;N;i:2;N;}i:2;i:583;}i:21;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:864;}i:22;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:72:"Set the administrative password for CUPS and add an administrative user:";}i:2;i:868;}i:23;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:940;}i:24;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:25:"
# lppasswd -g lp -a tux
";i:1;N;i:2;N;}i:2;i:947;}i:25;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:980;}i:26;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:110:"You should now be able to have access to the CUPS administration through your browser by entering the address ";}i:2;i:982;}i:27;a:3:{i:0;s:14:"monospace_open";i:1;a:0:{}i:2;i:1092;}i:28;a:3:{i:0;s:11:"unformatted";i:1;a:1:{i:0;s:21:"http://localhost:631/";}i:2;i:1102;}i:29;a:3:{i:0;s:15:"monospace_close";i:1;a:0:{}i:2;i:1132;}i:30;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1134;}i:31;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1134;}i:32;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:57:"Install the printer drivers with the following packages:
";}i:2;i:1136;}i:33;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1193;}i:34;a:3:{i:0;s:10:"listo_open";i:1;a:0:{}i:2;i:1193;}i:35;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:1193;}i:36;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1193;}i:37;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:24:" hplip : for HP printers";}i:2;i:1199;}i:38;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1223;}i:39;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1223;}i:40;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:2;}i:2;i:1223;}i:41;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1223;}i:42;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:54:" gutenprint : for Canon, Epson, Lexmark, Sony, Olympus";}i:2;i:1229;}i:43;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1283;}i:44;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1283;}i:45;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:2;}i:2;i:1283;}i:46;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1283;}i:47;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:114:" foomatic-db, foomatic-db-engine, foomatic-db-nonfree and foomatic-filters : several free software printer drivers";}i:2;i:1289;}i:48;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1403;}i:49;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1403;}i:50;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:2;}i:2;i:1403;}i:51;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1403;}i:52;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:41:" ufr2: for Canon printers (extra drivers)";}i:2;i:1409;}i:53;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1450;}i:54;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1450;}i:55;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:2;}i:2;i:1450;}i:56;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1450;}i:57;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:19:" splix: for Samsung";}i:2;i:1456;}i:58;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1475;}i:59;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1475;}i:60;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:2;}i:2;i:1475;}i:61;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:1475;}i:62;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:15:" cups-pdf: for ";}i:2;i:1481;}i:63;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:1496;}i:64;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"printing";}i:2;i:1497;}i:65;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1505;}i:66;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:" to ";}i:2;i:1506;}i:67;a:3:{i:0;s:7:"acronym";i:1;a:1:{i:0;s:3:"PDF";}i:2;i:1510;}i:68;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:" files";}i:2;i:1513;}i:69;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:1519;}i:70;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:1519;}i:71;a:3:{i:0;s:11:"listo_close";i:1;a:0:{}i:2;i:1519;}i:72;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1519;}i:73;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:64:"
For example, install the HP printer drivers with the following ";}i:2;i:1520;}i:74;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1584;}i:75;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"root";}i:2;i:1586;}i:76;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1590;}i:77;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:" command
";}i:2;i:1592;}i:78;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1606;}i:79;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:28:"
# tazpkg get-install hplip
";i:1;N;i:2;N;}i:2;i:1606;}i:80;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1642;}i:81;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:62:"Now you add a new printer in the browser interface and choose:";}i:2;i:1644;}i:82;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1706;}i:83;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1706;}i:84;a:3:{i:0;s:11:"unformatted";i:1;a:1:{i:0;s:79:"LPD/LPR Host or Printer (Unknown),
and add the address socket//192.168.2.1:9100";}i:2;i:1716;}i:85;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:1804;}i:86;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:1804;}i:87;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:22:"If you get the error, ";}i:2;i:1806;}i:88;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1828;}i:89;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:1829;}i:90;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:97:"Returning IPP client-error-document-format-not-supported for Print-Job in /var/log/cups/error.log";}i:2;i:1831;}i:91;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:1928;}i:92;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:1930;}i:93;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:179:" then add two files to the /etc/cups directory. The easiest method is to start a text editor such as Leafpad from a root terminal; start the Terminal and switch to the root user.
";}i:2;i:1931;}i:94;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:2110;}i:95;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:2110;}i:96;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:2110;}i:97;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:2110;}i:98;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:" ";}i:2;i:2114;}i:99;a:3:{i:0;s:14:"monospace_open";i:1;a:0:{}i:2;i:2115;}i:100;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:"mime.convs";}i:2;i:2117;}i:101;a:3:{i:0;s:15:"monospace_close";i:1;a:0:{}i:2;i:2127;}i:102;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:24:" (/etc/cups/mime.convs):";}i:2;i:2129;}i:103;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:2153;}i:104;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:2153;}i:105;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:2153;}i:106;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:2335:"
application/pdf		application/postscript	33	pdftops
application/postscript	application/vnd.cups-postscript	66	pstops
application/vnd.hp-HPGL	application/postscript	66	hpgltops
application/x-cshell	application/postscript	33	texttops
application/x-csource	application/postscript	33	texttops
application/x-perl	application/postscript	33	texttops
application/x-shell	application/postscript	33	texttops
text/plain		application/postscript	33	texttops
text/html		application/postscript	33	texttops
image/gif		application/vnd.cups-postscript	66	imagetops
image/png		application/vnd.cups-postscript	66	imagetops
image/jpeg		application/vnd.cups-postscript	66	imagetops
image/tiff		application/vnd.cups-postscript	66	imagetops
image/x-bitmap		application/vnd.cups-postscript	66	imagetops
image/x-photocd		application/vnd.cups-postscript	66	imagetops
image/x-portable-anymap	application/vnd.cups-postscript	66	imagetops
image/x-portable-bitmap	application/vnd.cups-postscript	66	imagetops
image/x-portable-graymap application/vnd.cups-postscript	66	imagetops
image/x-portable-pixmap	application/vnd.cups-postscript	66	imagetops
image/x-sgi-rgb		application/vnd.cups-postscript	66	imagetops
image/x-xbitmap		application/vnd.cups-postscript	66	imagetops
image/x-xpixmap		application/vnd.cups-postscript	66	imagetops
image/x-sun-raster	application/vnd.cups-postscript	66	imagetops


image/gif		application/vnd.cups-raster	100	imagetoraster
image/png		application/vnd.cups-raster	100	imagetoraster
image/jpeg		application/vnd.cups-raster	100	imagetoraster
image/tiff		application/vnd.cups-raster	100	imagetoraster
image/x-bitmap		application/vnd.cups-raster	100	imagetoraster
image/x-photocd		application/vnd.cups-raster	100	imagetoraster
image/x-portable-anymap	application/vnd.cups-raster	100	imagetoraster
image/x-portable-bitmap	application/vnd.cups-raster	100	imagetoraster
image/x-portable-graymap application/vnd.cups-raster	100	imagetoraster
image/x-portable-pixmap	application/vnd.cups-raster	100	imagetoraster
image/x-sgi-rgb		application/vnd.cups-raster	100	imagetoraster
image/x-xbitmap		application/vnd.cups-raster	100	imagetoraster
image/x-xpixmap		application/vnd.cups-raster	100	imagetoraster
image/x-sun-raster	application/vnd.cups-raster	100	imagetoraster

application/vnd.cups-postscript	application/vnd.cups-raster	100	pstoraster
";i:1;N;i:2;N;}i:2;i:2159;}i:107;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:4503;}i:108;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:4503;}i:109;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:4503;}i:110;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:" ";}i:2;i:4507;}i:111;a:3:{i:0;s:14:"monospace_open";i:1;a:0:{}i:2;i:4508;}i:112;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:"mime.types";}i:2;i:4510;}i:113;a:3:{i:0;s:15:"monospace_close";i:1;a:0:{}i:2;i:4520;}i:114;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:24:" (/etc/cups/mime.types):";}i:2;i:4522;}i:115;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:4546;}i:116;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:4546;}i:117;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:4546;}i:118;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:3476:"
application/pdf			pdf string(0,%PDF)
application/postscript		ai eps ps string(0,%!) string(0,<04>%!) \
				contains(0,128,<1B>%-12345X) + \
				(contains(0,4096,"LANGUAGE=POSTSCRIPT") \
				 contains(0,4096,"LANGUAGE = Postscript") \
				 contains(0,4096,"LANGUAGE = PostScript") \
				 contains(0,4096,"LANGUAGE = POSTSCRIPT") \
				 (contains(0,4096,<0a>%!) + \
				  !contains(0,4096,"ENTER LANGUAGE")))
application/vnd.hp-HPGL		hpgl \
				string(0,<1B>E<1B>%0B) \
				string(0,<1B>%-1B) string(0,<201B>)\
				string(0,BP;) string(0,IN;) string(0,DF;) \
				string(0,BPINPS;) \
				(contains(0,128,<1B>%-12345X) + \
				 (contains(0,4096,"LANGUAGE=HPGL") \
				  contains(0,4096,"LANGUAGE = HPGL")))

########################################################################
#
# Image files...
#

image/gif			gif string(0,GIF87a) string(0,GIF89a)
image/png			png string(0,<89>PNG)
image/jpeg			jpeg jpg jpe string(0,) &&\
				(char(3,0xe0) char(3,0xe1) char(3,0xe2) char(3,0xe3)\
				 char(3,0xe4) char(3,0xe5) char(3,0xe6) char(3,0xe7)\
				 char(3,0xe8) char(3,0xe9) char(3,0xea) char(3,0xeb)\
				 char(3,0xec) char(3,0xed) char(3,0xee) char(3,0xef))
image/tiff			tiff tif string(0,MM<002A>) string(0,II<2A00>)
image/x-photocd			pcd string(2048,PCD_IPI)
image/x-portable-anymap		pnm
image/x-portable-bitmap		pbm string(0,P1) string(0,P4)
image/x-portable-graymap	pgm string(0,P2) string(0,P5)
image/x-portable-pixmap		ppm string(0,P3) string(0,P6)
image/x-sgi-rgb			rgb sgi bw icon short(0,474)
image/x-xbitmap			xbm
image/x-xpixmap			xpm ascii(0,1024) + string(3,"XPM")
#image/x-xwindowdump		xwd string(4,<00000007>)
image/x-sun-raster		ras string(0,<59a66a95>)

#image/fpx			fpx
image/x-alias			pix short(8,8) short(8,24)
image/x-bitmap			bmp string(0,BM) && !printable(2,14)
image/x-icon			ico

########################################################################
#
# Text files...
#

application/x-cshell		csh printable(0,1024) + string(0,#!) +\
				(contains(2,80,/csh) contains(2,80,/tcsh))
application/x-perl		pl printable(0,1024) + string(0,#!) +\
				contains(2,80,/perl)
application/x-shell		sh printable(0,1024) + string(0,#!) +\
				(contains(2,80,/bash) contains(2,80,/ksh)\
				 contains(2,80,/sh) contains(2,80,/zsh))
application/x-csource		c cxx cpp cc C h hpp \
				printable(0,1024) + \
				(string(0,/*) string(0,//)
				 string(0,#include) contains(0,1024,<0a>#include) \
				 string(0,#define) contains(0,1024,<0a>#define))
text/html			html htm printable(0,1024) +\
				(istring(0,"") istring(0,"))
text/plain			txt printable(0,1024)
text/css			css


########################################################################
#
# RSS feed type...
#

application/rss+xml		rss


########################################################################
#
# CUPS-specific types...
#

application/vnd.cups-command	string(0,'#CUPS-COMMAND')
application/vnd.cups-form	string(0,"")
application/vnd.cups-pdf
application/vnd.cups-postscript
application/vnd.cups-ppd	ppd string(0,"*PPD-Adobe:")
application/vnd.cups-raster	string(0,"RaSt") string(0,"tSaR")
application/vnd.cups-raw	(string(0,<1B>E) + !string(2,<1B>%0B)) \
				string(0,<1B>@) \
				(contains(0,128,<1B>%-12345X) + \
				 (contains(0,4096,"LANGUAGE=PCL") \
				  contains(0,4096,"LANGUAGE = PCL")))

########################################################################
#
# Raw print file support...
#
# Comment the following type to prevent raw file printing.
#

application/octet-stream
";i:1;N;i:2;N;}i:2;i:4553;}i:119;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8037;}i:120;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:1;i:1;s:7:"notetip";}i:2;i:1;i:3;s:10:"<note tip>";}i:2;i:8039;}i:121;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:3;i:1;s:104:"If at the end of the procedures the printer is not working, restarting the service or computer may help.";}i:2;i:3;i:3;s:104:"If at the end of the procedures the printer is not working, restarting the service or computer may help.";}i:2;i:8049;}i:122;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:1:{i:0;i:4;}i:2;i:4;i:3;s:7:"</note>";}i:2;i:8153;}i:123;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8160;}i:124;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:8162;}i:125;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:41:"Installing an USB Brother HL 2030 Printer";i:1;i:2;i:2;i:8162;}i:2;i:8162;}i:126;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:8162;}i:127;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8215;}i:128;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:58:"
To install cups, hal-cups-utils, usbutils. As root, type:";}i:2;i:8216;}i:129;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8274;}i:130;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:129:"
root@slitaz:# tazpkg get-install cups
root@slitaz:# tazpkg get-install hal-cups-utils
root@slitaz:# tazpkg get-install usbutils
";i:1;N;i:2;N;}i:2;i:8281;}i:131;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8418;}i:132;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:186:"Cups is used to manage the printer, hal-cups-utils allows cups to use HAL for printer connections and usbutils gives us the lsusb utility which lets us know how the printer is connected.";}i:2;i:8420;}i:133;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8606;}i:134;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8606;}i:135;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:61:"Now we can add tux to the lp (printer) group. As root, we do:";}i:2;i:8608;}i:136;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8669;}i:137;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:31:"
root@slitaz:# addgroup tux lp
";i:1;N;i:2;N;}i:2;i:8676;}i:138;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:8715;}i:139;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:100:"For the web interface of cups to be properly activated, we still need to change a few things in the ";}i:2;i:8717;}i:140;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:8817;}i:141;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:15:"/etc/cupsd.conf";}i:2;i:8819;}i:142;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:8834;}i:143;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:" file:";}i:2;i:8836;}i:144;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:8842;}i:145;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:44:"
root@slitaz:# leafpad /etc/cups/cupsd.conf
";i:1;N;i:2;N;}i:2;i:8849;}i:146;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:308:"
   # Administrator user group...
   SystemGroup lp
   
   # Restrict access to the admin pages...
   
   Order allow,deny
   Allow 127.0.0.1
   
   
   # Restrict access to configuration files...
   
   AuthType Default
   Require user @SYSTEM
   Order allow,deny
   Deny From None
   Allow From 127.0.0.1
 ";i:1;N;i:2;N;}i:2;i:8909;}i:147;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9225;}i:148;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:113:"To modify permissions on the printer you need to know the details of the bus and device. For this, we do as root:";}i:2;i:9227;}i:149;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9340;}i:150;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:21:"
root@slitaz:# lsusb
";i:1;N;i:2;N;}i:2;i:9347;}i:151;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9376;}i:152;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:"And get the following output:";}i:2;i:9378;}i:153;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9407;}i:154;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:149:"
   Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
   Bus 001 Device 002: ID 04f9:0027 Brother Industries, Ltd HL-2030 Laser Printer
";i:1;N;i:2;N;}i:2;i:9414;}i:155;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9571;}i:156;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:58:"You can now change the permissions on the associated file:";}i:2;i:9573;}i:157;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9631;}i:158;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:46:"
root@slitaz:# chmod 666 /dev/bus/usb/001/002
";i:1;N;i:2;N;}i:2;i:9638;}i:159;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9692;}i:160;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:"And then start cups:";}i:2;i:9694;}i:161;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9714;}i:162;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:39:"
root@slitaz:# /etc/init.d/cupsd start
";i:1;N;i:2;N;}i:2;i:9721;}i:163;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:9768;}i:164;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:94:"We can now configure the printer and fetch the openprinting ppd file for that printer 
model: ";}i:2;i:9770;}i:165;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:59:"http://www.openprinting.org/printer/Brother/Brother-HL-2030";i:1;N;}i:2;i:9864;}i:166;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:87:" and also add the following 
packages: foomatic-filters foomatic-db foomatic-db-engine:";}i:2;i:9923;}i:167;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10010;}i:168;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:148:"
root@slitaz:# tazpkg get-install foomatic-filters
root@slitaz:# tazpkg get-install foomatic-db
root@slitaz:# tazpkg get-install foomatic-db-engine
";i:1;N;i:2;N;}i:2;i:10017;}i:169;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10173;}i:170;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:44:"Now we can restart cups and point midori to ";}i:2;i:10175;}i:171;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:20:"http://localhost:631";i:1;N;}i:2;i:10219;}i:172;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10239;}i:173;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10239;}i:174;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:19:"Cups then asks for:";}i:2;i:10241;}i:175;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10260;}i:176;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10260;}i:177;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:12:"- The login ";}i:2;i:10262;}i:178;a:3:{i:0;s:18:"doublequoteopening";i:1;a:0:{}i:2;i:10274;}i:179;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"root";}i:2;i:10275;}i:180;a:3:{i:0;s:18:"doublequoteclosing";i:1;a:0:{}i:2;i:10279;}i:181;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:" (default tux)";}i:2;i:10280;}i:182;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10294;}i:183;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10294;}i:184;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:29:"- The corresponding password.";}i:2;i:10296;}i:185;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10325;}i:186;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10325;}i:187;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:151:"Then navigate to > Printers > Add Printer > click on the printer name that you recognize and do not forget to indicate the path in the connection box: ";}i:2;i:10327;}i:188;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:10478;}i:189;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:"/dev/bus/usb/001/002";}i:2;i:10480;}i:190;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:10500;}i:191;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:" (in my case).";}i:2;i:10502;}i:192;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10516;}i:193;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10516;}i:194;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:249:"Then go to the web interface of cups ppd and install the new printer using the file Brother HL-2030-hl1250.ppd located in the user's account. Now you can automatically restart cupsd each time you start the system by using System Tools (in the menu) ";}i:2;i:10518;}i:195;a:3:{i:0;s:6:"entity";i:1;a:1:{i:0;s:2:"->";}i:2;i:10767;}i:196;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:13:" Control box ";}i:2;i:10769;}i:197;a:3:{i:0;s:6:"entity";i:1;a:1:{i:0;s:2:"->";}i:2;i:10782;}i:198;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:93:" Initialization and allow the cupsd daemon to run by adding it to the 'Run daemons' section: ";}i:2;i:10784;}i:199;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:10877;}i:200;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:31:"
dbus hald firewall slim cupsd
";i:1;N;i:2;N;}i:2;i:10884;}i:201;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:10926;}i:202;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:23:"Installing a HP Printer";i:1;i:2;i:2;i:10926;}i:2;i:10926;}i:203;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:10926;}i:204;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:10961;}i:205;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:10962;}i:206;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:1;i:1;s:11:"noteclassic";}i:2;i:1;i:3;s:6:"<note>";}i:2;i:10963;}i:207;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:3;i:1;s:69:"This is for a clean installation of SliTaz GNU/Linux cooking-20100314";}i:2;i:3;i:3;s:69:"This is for a clean installation of SliTaz GNU/Linux cooking-20100314";}i:2;i:10969;}i:208;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:1:{i:0;i:4;}i:2;i:4;i:3;s:7:"</note>";}i:2;i:11038;}i:209;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:11045;}i:210;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11046;}i:211;a:3:{i:0;s:10:"listo_open";i:1;a:0:{}i:2;i:11046;}i:212;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:11046;}i:213;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:11046;}i:214;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:49:" With the printer plugged in and powered on, run ";}i:2;i:11050;}i:215;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:50:"
# su root
# tazpkg recharge
# tazhw setup printer";i:1;N;i:2;N;}i:2;i:11104;}i:216;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:11162;}i:217;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:11162;}i:218;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:11162;}i:219;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:11162;}i:220;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:38:" Install only hplip and hal-cups-utils";}i:2;i:11166;}i:221;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:11204;}i:222;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:11204;}i:223;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:11204;}i:224;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:11204;}i:225;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:151:" The printer should show up in the list of printers displayed as part of this command. It will then attempt to open the CUPS admin pages in Midori (at ";}i:2;i:11208;}i:226;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:20:"http://localhost:631";i:1;N;}i:2;i:11359;}i:227;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:" )";}i:2;i:11379;}i:228;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:11381;}i:229;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:11381;}i:230;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:11381;}i:231;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:11381;}i:232;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:155:" On my system, the printer does not show up in the browser under 'Find printers' and I get a 'Forbidden' error when trying to add a printer via the browser";}i:2;i:11385;}i:233;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:11540;}i:234;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:11540;}i:235;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:11540;}i:236;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:11540;}i:237;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:" Instead, run ";}i:2;i:11544;}i:238;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:10:"# hp-setup";i:1;N;i:2;N;}i:2;i:11563;}i:239;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11563;}i:240;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:305:" and follow the instructions. The test page should print correctly. The printer should also show up in the list of printers in applications (like the text editor) and will also appear in the list of printers on the CUPS browser pages, although in my case it is still not possible to make any changes to it";}i:2;i:11581;}i:241;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:11886;}i:242;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:11886;}i:243;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:11886;}i:244;a:3:{i:0;s:11:"listo_close";i:1;a:0:{}i:2;i:11886;}i:245;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11888;}i:246;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:42:"Installing a HP All-In-One Printer/Scanner";i:1;i:2;i:2;i:11888;}i:2;i:11888;}i:247;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:11888;}i:248;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:11945;}i:249;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:22:"Preparation & Packages";i:1;i:4;i:2;i:11945;}i:2;i:11945;}i:250;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:11945;}i:251;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:11975;}i:252;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:64:"
Power on the scanner before installing the following packages:
";}i:2;i:11976;}i:253;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12040;}i:254;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:12040;}i:255;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12040;}i:256;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12040;}i:257;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:" xsane";}i:2;i:12044;}i:258;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12050;}i:259;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12050;}i:260;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12050;}i:261;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12050;}i:262;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:" sane-backends";}i:2;i:12054;}i:263;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12068;}i:264;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12068;}i:265;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12068;}i:266;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12068;}i:267;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" libusb";}i:2;i:12072;}i:268;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12079;}i:269;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12079;}i:270;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12079;}i:271;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12079;}i:272;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:" libusb-compat";}i:2;i:12083;}i:273;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12097;}i:274;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12097;}i:275;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12097;}i:276;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12097;}i:277;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:" usbtools";}i:2;i:12101;}i:278;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12110;}i:279;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12110;}i:280;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:12110;}i:281;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:12110;}i:282;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:9:" usbutils";}i:2;i:12114;}i:283;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:12123;}i:284;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:12123;}i:285;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:12123;}i:286;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12123;}i:287;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:12124;}i:288;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:1;i:1;s:7:"notetip";}i:2;i:1;i:3;s:10:"<note tip>";}i:2;i:12125;}i:289;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:3;i:1;s:64:"You can automate the process with the following Bash command as ";}i:2;i:3;i:3;s:64:"You can automate the process with the following Bash command as ";}i:2;i:12135;}i:290;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:12199;}i:291;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"root";}i:2;i:12201;}i:292;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:12205;}i:293;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:2:{i:0;i:3;i:1;s:6:" user:";}i:2;i:3;i:3;s:6:" user:";}i:2;i:12207;}i:294;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:12213;}i:295;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12219;}i:296;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:103:"for PKG in xsane sane-backends-libusb libusb-compat usbtools usbutils; do 
tazpkg get-install $PKG
done";i:1;N;i:2;N;}i:2;i:12219;}i:297;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12219;}i:298;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:12330;}i:299;a:3:{i:0;s:6:"plugin";i:1;a:4:{i:0;s:4:"note";i:1;a:1:{i:0;i:4;}i:2;i:4;i:3;s:7:"</note>";}i:2;i:12331;}i:300;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12338;}i:301;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12340;}i:302;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:9:"Detection";i:1;i:4;i:2;i:12340;}i:2;i:12340;}i:303;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:12340;}i:304;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12357;}i:305;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:143:"
With those packages installed, use the Hardware Detection Tool (Menu > System Tools > Hardware Detection And Drivers) 
Click on Scanner button";}i:2;i:12358;}i:306;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12501;}i:307;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12501;}i:308;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:136:"If your scanner does not show up immediately, enter for none in my set-up; now the scanner device should be listed in purple text, e.g.:";}i:2;i:12503;}i:309;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12639;}i:310;a:3:{i:0;s:4:"file";i:1;a:3:{i:0;s:20:"/dev/bus/usb/004/002";i:1;N;i:2;N;}i:2;i:12646;}i:311;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:12676;}i:312;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:18:"Verify Permissions";i:1;i:4;i:2;i:12676;}i:2;i:12676;}i:313;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:4;}i:2;i:12676;}i:314;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12702;}i:315;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:59:"
Your scanner must be in scanner group with 666 permissions";}i:2;i:12703;}i:316;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12762;}i:317;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:73:"$ crw-rw-rw-    1 root     scanner  189, 385 Jun 22 19:44 /dev/bus/usb/0 ";i:1;N;i:2;N;}i:2;i:12769;}i:318;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12850;}i:319;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:126:"Reply y to start scanner
Warning pops up about running scanner as root
Click continue at your own risk button
Agree to license";}i:2;i:12852;}i:320;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:12978;}i:321;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:12978;}i:322;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:33:"Xsane should open and be working!";}i:2;i:12980;}i:323;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13013;}i:324;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:13013;}i:325;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"The ";}i:2;i:13015;}i:326;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:13019;}i:327;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:3:"tux";}i:2;i:13021;}i:328;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:13024;}i:329;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:146:" user is automatically added to scanner group, so tux may scan, but if you run under another user name that user can't scan until you add them to ";}i:2;i:13026;}i:330;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:13172;}i:331;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"scanner";}i:2;i:13174;}i:332;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:13181;}i:333;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:37:" group. Do this with the command (as ";}i:2;i:13183;}i:334;a:3:{i:0;s:13:"emphasis_open";i:1;a:0:{}i:2;i:13220;}i:335;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:4:"root";}i:2;i:13222;}i:336;a:3:{i:0;s:14:"emphasis_close";i:1;a:0:{}i:2;i:13226;}i:337;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"):";}i:2;i:13228;}i:338;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13230;}i:339;a:3:{i:0;s:4:"code";i:1;a:3:{i:0;s:31:"# addgroup //username// scanner";i:1;N;i:2;N;}i:2;i:13237;}i:340;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:13278;}i:341;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:5:"Links";i:1;i:2;i:2;i:13278;}i:2;i:13278;}i:342;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:13278;}i:343;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:13295;}i:344;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:13295;}i:345;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:13295;}i:346;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:" ";}i:2;i:13301;}i:347;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:36:"http://www.openprinting.org/printers";i:1;N;}i:2;i:13302;}i:348;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:13338;}i:349;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:13338;}i:350;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:13338;}i:351;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:13340;}i:352;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:4:"TODO";i:1;i:2;i:2;i:13340;}i:2;i:13340;}i:353;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:13340;}i:354;a:3:{i:0;s:10:"listu_open";i:1;a:0:{}i:2;i:13357;}i:355;a:3:{i:0;s:13:"listitem_open";i:1;a:1:{i:0;i:1;}i:2;i:13357;}i:356;a:3:{i:0;s:16:"listcontent_open";i:1;a:0:{}i:2;i:13357;}i:357;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:17:" Parallel Printer";}i:2;i:13363;}i:358;a:3:{i:0;s:17:"listcontent_close";i:1;a:0:{}i:2;i:13380;}i:359;a:3:{i:0;s:14:"listitem_close";i:1;a:0:{}i:2;i:13380;}i:360;a:3:{i:0;s:11:"listu_close";i:1;a:0:{}i:2;i:13380;}i:361;a:3:{i:0;s:2:"hr";i:1;a:0:{}i:2;i:13381;}i:362;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:13381;}i:363;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:13387;}i:364;a:3:{i:0;s:9:"linebreak";i:1;a:0:{}i:2;i:13388;}i:365;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13390;}i:366;a:3:{i:0;s:10:"table_open";i:1;a:3:{i:0;i:2;i:1;i:8;i:2;i:13391;}i:2;i:13390;}i:367;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13390;}i:368;a:3:{i:0;s:16:"tableheader_open";i:1;a:3:{i:0;i:2;i:1;s:6:"center";i:2;i:1;}i:2;i:13390;}i:369;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:23:"  Page Review Section  ";}i:2;i:13392;}i:370;a:3:{i:0;s:17:"tableheader_close";i:1;a:0:{}i:2;i:13415;}i:371;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13418;}i:372;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13418;}i:373;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13418;}i:374;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:"Quality";}i:2;i:13420;}i:375;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13427;}i:376;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;s:4:"left";i:2;i:1;}i:2;i:13427;}i:377;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:" Low  ";}i:2;i:13428;}i:378;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13434;}i:379;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13435;}i:380;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13435;}i:381;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13435;}i:382;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:6:"Review";}i:2;i:13437;}i:383;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13443;}i:384;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13443;}i:385;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Major Updates  ";}i:2;i:13444;}i:386;a:3:{i:0;s:6:"smiley";i:1;a:1:{i:0;s:5:"FIXME";}i:2;i:13460;}i:387;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:" ";}i:2;i:13465;}i:388;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13466;}i:389;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13467;}i:390;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13467;}i:391;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13467;}i:392;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"Priority";}i:2;i:13469;}i:393;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13477;}i:394;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13477;}i:395;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:" Medium ";}i:2;i:13478;}i:396;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13486;}i:397;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13487;}i:398;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13487;}i:399;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:2;}i:2;i:13487;}i:400;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:8:"Problems";}i:2;i:13489;}i:401;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13497;}i:402;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13497;}i:403;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:7:" add a ";}i:2;i:13498;}i:404;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:23:"http://forum.slitaz.org";i:1;s:15:"forum post link";}i:2;i:13505;}i:405;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13548;}i:406;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13549;}i:407;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13549;}i:408;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13559;}i:409;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:10:" OR add a ";}i:2;i:13560;}i:410;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:29:"http://labs.slitaz.org/issues";i:1;s:23:"lab issue tracker link ";}i:2;i:13570;}i:411;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13628;}i:412;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13629;}i:413;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13629;}i:414;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:2;}i:2;i:13629;}i:415;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:14:"How to Improve";}i:2;i:13631;}i:416;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13645;}i:417;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;N;i:2;i:1;}i:2;i:13645;}i:418;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:16:" Suggest briefly";}i:2;i:13646;}i:419;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13662;}i:420;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13663;}i:421;a:3:{i:0;s:13:"tablerow_open";i:1;a:0:{}i:2;i:13663;}i:422;a:3:{i:0;s:14:"tablecell_open";i:1;a:3:{i:0;i:1;i:1;s:4:"left";i:2;i:1;}i:2;i:13669;}i:423;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:2:"  ";}i:2;i:13670;}i:424;a:3:{i:0;s:15:"tablecell_close";i:1;a:0:{}i:2;i:13672;}i:425;a:3:{i:0;s:14:"tablerow_close";i:1;a:0:{}i:2;i:13673;}i:426;a:3:{i:0;s:11:"table_close";i:1;a:1:{i:0;i:13673;}i:2;i:13673;}i:427;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:13673;}i:428;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:13674;}i:429;a:3:{i:0;s:9:"linebreak";i:1;a:0:{}i:2;i:13675;}i:430;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:13677;}i:431;a:3:{i:0;s:2:"hr";i:1;a:0:{}i:2;i:13677;}i:432;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:13682;}i:433;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:13682;}}